;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 3.01 *
;* Date/Time created: Tue Nov 21 12:53:00 2000                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture        : TMS320C6200                                        *
;*   Endian              : Little                                             *
;*   Interrupt Threshold : Disabled                                           *
;*   Memory Model        : Small                                              *
;*   Calls to RTS        : Near                                               *
;*   Pipelining          : Enabled                                            *
;*   Speculative Load    : Threshold = 0                                      *
;*   Epilog Collapsing   : Enabled                                            *
;*   Prolog Collapsing   : Enabled                                            *
;*   Redundant Loops     : Enabled                                            *
;*   Code Size Opt.      : Disabled                                           *
;*   Memory Aliases      : Presume are aliases (pessimistic)                  *
;*   Debug Info          : Debug                                              *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -O3 C:\TEMP\tempTI2 C:\TEMP\tempTI7 
	.file	"Aed_200.c"
	.file	"appl_hdr.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"c:\evm6x\dsp\include\board.h"
	.file	"Aed_200.c"
	.utag	_T0, 32
	.member	_word, 0, 20, 11, 32
	.member	_uword, 0, 30, 11, 32
	.member	_hword, 0, 19, 11, 32
	.member	_uhword, 0, 29, 11, 32
	.member	_byte, 0, 18, 11, 32
	.member	_ubyte, 0, 28, 11, 32
	.eos
	.sym	_ApplBlockType, 0, 9, 13, 32,_T0
	.global	_save_data
	.bss	_save_data,4,4
	.sym	_save_data,_save_data, 9, 2, 32, _T0
	.bss	_save_data_alloc,512,4
	.sym	_save_data_alloc,_save_data_alloc, 50, 3, 4096,, 512
	.bss	_loop_count,4,4
	.sym	_loop_count,_loop_count, 4, 3, 32
	.bss	_iteration,4,4
	.sym	_iteration,_iteration, 4, 3, 32
	.bss	_A_value,40,4
	.sym	_A_value,_A_value, 62, 3, 320,, 10
	.bss	_B_value,40,4
	.sym	_B_value,_B_value, 62, 3, 320,, 10
	.bss	_C_value,40,4
	.sym	_C_value,_C_value, 62, 3, 320,, 10
	.bss	_D_value,40,4
	.sym	_D_value,_D_value, 62, 3, 320,, 10
	.bss	_E_value,40,4
	.sym	_E_value,_E_value, 62, 3, 320,, 10
	.bss	_F_value,40,4
	.sym	_F_value,_F_value, 62, 3, 320,, 10
	.bss	_G_value,40,4
	.sym	_G_value,_G_value, 62, 3, 320,, 10
	.bss	_H_value,40,4
	.sym	_H_value,_H_value, 62, 3, 320,, 10
	.bss	_I_value,40,4
	.sym	_I_value,_I_value, 62, 3, 320,, 10
	.bss	_J_value,40,4
	.sym	_J_value,_J_value, 62, 3, 320,, 10
	.bss	_K_value,40,4
	.sym	_K_value,_K_value, 62, 3, 320,, 10
	.bss	_L_value,40,4
	.sym	_L_value,_L_value, 62, 3, 320,, 10
	.bss	_M_value,40,4
	.sym	_M_value,_M_value, 62, 3, 320,, 10
	.bss	_N_value,40,4
	.sym	_N_value,_N_value, 62, 3, 320,, 10
	.bss	_O_value,40,4
	.sym	_O_value,_O_value, 62, 3, 320,, 10
	.bss	_P_value,40,4
	.sym	_P_value,_P_value, 62, 3, 320,, 10

	.sect	".cinit:c"
	.align	8
	.field  	(CIR - $) - 8, 32
	.field  	_fpga_io_reg+0,32
	.field  	0x70000001,32			; _fpga_io_reg @ 0

	.sect	".text"
_fpga_io_reg:	.usect	".bss:c",4,4
	.sym	_fpga_io_reg,_fpga_io_reg, 14, 3, 32

	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_addr+0,32
	.field  	0,32			; _addr[0]._word @ 0
	.field  	0,32			; _addr[1]._word @ 32
	.field  	0,32			; _addr[2]._word @ 64
	.field  	0,32			; _addr[3]._word @ 96
	.field  	0,32			; _addr[4]._word @ 128
	.field  	0,32			; _addr[5]._word @ 160
	.field  	0,32			; _addr[6]._word @ 192
	.field  	0,32			; _addr[7]._word @ 224
	.field  	0,32			; _addr[8]._word @ 256
	.field  	0,32			; _addr[9]._word @ 288
	.field  	0,32			; _addr[10]._word @ 320
	.field  	0,32			; _addr[11]._word @ 352
	.field  	0,32			; _addr[12]._word @ 384
	.field  	0,32			; _addr[13]._word @ 416
	.field  	0,32			; _addr[14]._word @ 448
	.field  	0,32			; _addr[15]._word @ 480
	.field  	0,32			; _addr[16]._word @ 512
	.field  	0,32			; _addr[17]._word @ 544
	.field  	0,32			; _addr[18]._word @ 576
	.field  	0,32			; _addr[19]._word @ 608
IR_1:	.set	80

	.sect	".text"
	.bss	_addr,80,4
	.sym	_addr,_addr, 57, 3, 640, _T0, 20

	.sect	".cinit"
	.align	8
	.field  	IR_2,32
	.field  	_bufs+0,32
	.field  	0x63,32			; _bufs[0] @ 0
	.field  	0x63,32			; _bufs[1] @ 32
	.field  	0x63,32			; _bufs[2] @ 64
	.field  	0x63,32			; _bufs[3] @ 96
	.field  	0x63,32			; _bufs[4] @ 128
	.field  	0x63,32			; _bufs[5] @ 160
	.field  	0x63,32			; _bufs[6] @ 192
	.field  	0x63,32			; _bufs[7] @ 224
	.field  	0x63,32			; _bufs[8] @ 256
	.field  	0x63,32			; _bufs[9] @ 288
	.field  	0x63,32			; _bufs[10] @ 320
	.field  	0x63,32			; _bufs[11] @ 352
	.field  	0x63,32			; _bufs[12] @ 384
	.field  	0x63,32			; _bufs[13] @ 416
	.field  	0x63,32			; _bufs[14] @ 448
	.field  	0x63,32			; _bufs[15] @ 480
	.field  	0x63,32			; _bufs[16] @ 512
	.field  	0x63,32			; _bufs[17] @ 544
	.field  	0x63,32			; _bufs[18] @ 576
	.field  	0x63,32			; _bufs[19] @ 608
IR_2:	.set	80

	.sect	".text"
	.bss	_bufs,80,4
	.sym	_bufs,_bufs, 52, 3, 640,, 20
	.sect	".text"
	.sym	_sample_buffer,_sample_buffer, 32, 3, 0
	.func	451

;******************************************************************************
;* FUNCTION NAME: _sample_buffer                                              *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,B4,B5,B6,SP                                 *
;*   Regs Used         : A0,A1,A3,A4,B3,B4,B5,B6,DP,SP                        *
;*   Local Frame Size  : 0 Args + 4 Auto + 0 Save = 4 byte                    *
;******************************************************************************
_sample_buffer:
;** --------------------------------------------------------------------------*
	.sym	_first,4, 25, 17, 32, _T0
;**	Parameter deleted: m == 8;
;**	Parameter deleted: n == 16;
	.sym	_first,4, 25, 4, 32, _T0
	.sym	L$1,1, 4, 4, 32
	.sym	U$6,21, 4, 4, 32
	.sym	U$8,0, 30, 4, 32
	.sym	_first,4, 9, 1, 32, _T0
           SUB     .L2     SP,8,SP           ; |451| 
	.line	1
           LDW     .D1T1   *A4,A0            ; |451| 
           NOP             4
           STW     .D2T1   A0,*+SP(4)        ; |451| 
           LDW     .D2T1   *+SP(4),A0        ; |450| 
	.line	4
           MVK     .S1     0x80,A1           ; |454| 

           MVC     .S2     CSR,B6
||         ZERO    .L2     B5                ; |450| 

           AND     .L2     -2,B6,B4
           MVC     .S2     B4,CSR
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 128
;*      Known Maximum Trip Count         : 128
;*      Known Max Trip Count Factor      : 128
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     1        2*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             2*       1     
;*      Long read paths              1        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          1        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        0     
;*      Bound(.L .S .D .LS .LSD)     1        2*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 7  Schedule found with 1 iterations in parallel
;*      Done
;*
;*      Collapsed Epilog Stages     : 0
;*      Collapsed Prolog Stages     : 0
;*
;*----------------------------------------------------------------------------*
L1:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L2:    ; PIPED LOOP KERNEL

           LDW     .D1T1   *A0++,A3          ; |455| 
|| [ A1]   SUB     .L1     A1,1,A1           ; |457| 
||         LDW     .D2T2   *+DP(_save_data),B4 ;  ^ |455| 

   [ A1]   B       .S1     L2                ; |457| 
           NOP             3
           ADD     .L2     B5,B4,B4          ;  ^ |455| 

           ADD     .L2     4,B5,B5           ; |457| 
||         STW     .D2T1   A3,*B4            ;  ^ |455| 

;** --------------------------------------------------------------------------*
L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           MVC     .S2     B6,CSR
	.line	8
           B       .S2     B3                ; |458| 
           NOP             4
           ADD     .L2     8,SP,SP           ; |458| 
           ; BRANCH OCCURS                   ; |458| 
	.endfunc	458,000000000h,8


	.sect	".text"
	.global	_appl_process
	.sym	_appl_process,_appl_process, 36, 2, 0
	.func	271

;******************************************************************************
;* FUNCTION NAME: _appl_process                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,SP             *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,DP,SP          *
;*   Local Frame Size  : 0 Args + 8 Auto + 28 Save = 36 byte                  *
;******************************************************************************
_appl_process:
;** --------------------------------------------------------------------------*
	.sym	_data_block,4, 25, 17, 32, _T0
	.sym	_buf_number,20, 4, 17, 32
	.sym	C$1,0, 4, 4, 32
	.sym	Y$0,20, 4, 4, 32
	.sym	_buf_number,11, 4, 4, 32
	.sym	_data_block,4, 25, 4, 32, _T0
	.sym	_ret,0, 4, 4, 32
	.sym	_sumA,24, 14, 4, 32
	.sym	_sumB,23, 14, 4, 32
	.sym	_sumC,15, 14, 4, 32
	.sym	_sumD,14, 14, 4, 32
	.sym	_sumE,13, 14, 4, 32
	.sym	_sumF,11, 14, 4, 32
	.sym	_sumG,10, 14, 4, 32
	.sym	_sumH,3, 14, 4, 32
	.sym	_sumI,4, 14, 4, 32
	.sym	_sumJ,5, 14, 4, 32
	.sym	_sumK,6, 14, 4, 32
	.sym	_sumL,7, 14, 4, 32
	.sym	_sumM,8, 14, 4, 32
	.sym	_sumN,9, 14, 4, 32
	.sym	_sumO,2, 14, 4, 32
	.sym	_sumP,12, 14, 4, 32
	.sym	L$1,1, 4, 4, 32
	.sym	U$10,0, 4, 4, 32
	.sym	U$4,10, 4, 4, 32
	.sym	_data_block,4, 9, 1, 32, _T0
	.sym	_ptr,8, 9, 1, 32, _T0
           STW     .D2T2   B3,*SP--(40)      ; |271| 
           STW     .D2T1   A10,*+SP(16)      ; |271| 
           STW     .D2T1   A11,*+SP(20)      ; |271| 
           STW     .D2T1   A12,*+SP(24)      ; |271| 
           STW     .D2T1   A13,*+SP(28)      ; |271| 
           STW     .D2T1   A14,*+SP(32)      ; |271| 
           STW     .D2T1   A15,*+SP(36)      ; |271| 
	.line	1
           MV      .L1X    B4,A11            ; 
           LDW     .D1T1   *A4,A0            ; |271| 
           NOP             4
           STW     .D2T1   A0,*+SP(4)        ; |271| 
	.line	12
           LDW     .D2T1   *+DP(_iteration),A10 ; |282| 
           NOP             4
           MV      .L1     A10,A1
   [ A1]   B       .S1     L4                ; |282| 
           NOP             5
           ; BRANCH OCCURS                   ; |282| 
;** --------------------------------------------------------------------------*
	.line	13
           B       .S1     _sample_buffer    ; |283| 
           NOP             3

           MVKL    .S2     RL0,B3            ; |283| 
||         ADD     .L2     4,SP,B4           ; |283| 

           MVKH    .S2     RL0,B3            ; |283| 
||         MV      .L1X    B4,A4             ; |283| 

RL0:       ; CALL OCCURS                     ; |283| 
;** --------------------------------------------------------------------------*
L4:    
	.line	15
           SHL     .S1     A10,2,A0          ; |285| 
           LDW     .D2T1   *+SP(4),A3        ; |285| 
           NOP             1
           MVK     .S2     (_addr-$bss),B4   ; |285| 
           ADD     .L2     DP,B4,B4          ; |285| 
           ADD     .L1X    B4,A0,A4          ; |285| 
           STW     .D1T1   A3,*A4            ; |285| 
	.line	16
           MVK     .S1     (_bufs-$bss),A3   ; |286| 
           ADD     .L1X    DP,A3,A3          ; |286| 
           STW     .D1T1   A11,*+A3[A10]     ; |286| 
	.line	19
           LDW     .D2T2   *+SP(4),B4        ; |289| 
           NOP             4
           STW     .D2T2   B4,*+SP(8)        ; |289| 
	.line	20
           MVK     .S1     0x8,A1            ; |290| 
	.line	6

           ZERO    .L1     A15               ; 
||         ZERO    .L2     B4                ; 
||         ZERO    .S2     B7                ; 
||         ZERO    .S1     A14               ; 
||         ZERO    .D2     B8                ; 

	.line	7
           ZERO    .L1     A13               ; 

           ZERO    .L2     B5                ; 
||         MV      .L1X    B4,A11
||         ZERO    .S1     A10               ; 
||         ZERO    .D1     A3                ; 
||         ZERO    .S2     B6                ; 

	.line	8
           MV      .L1X    B5,A7
           MV      .L1X    B6,A5

           ZERO    .L1     A6                ; 
||         MV      .S1X    B4,A4

	.line	9
           MV      .L1X    B6,A2
           MV      .L1X    B5,A8

           MV      .L1X    B4,A12
||         ZERO    .S1     A9                ; 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 8
;*      Known Maximum Trip Count         : 8
;*      Known Max Trip Count Factor      : 8
;*      Loop Carried Dependency Bound(^) : 45
;*      Unpartitioned Resource Bound     : 17
;*      Partitioned Resource Bound(*)    : 33
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     0       33*    
;*      .M units                     0        0     
;*      .X cross paths              16        0     
;*      .T address paths            16       17     
;*      Long read paths             16        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)          16        0     (.L or .S unit)
;*      Addition ops (.LSD)         17       31     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             9        0     
;*      Bound(.L .S .D .LS .LSD)    12       22     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 45 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 46 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 47 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 48 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 49 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 50 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 51 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 52 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 53 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 54 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 55 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 56 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 57 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 58 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 59 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 60 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 61 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 62 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 63 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 64 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 65 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 66 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 67 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 68 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 69 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 70 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 71 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 72 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 73 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 74 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 75 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 76 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 77 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 78 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 79 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 80 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 81 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 82 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 83 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 84 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 85 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 86 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 87 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 88 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 89 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 90 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 91 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 92 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 93 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 94 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 95 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 96 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 97 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 98 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 99 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 100 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 101 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 102 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 103 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 104 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 105 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 106 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 107 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 108 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 109 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 110 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 111 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 112 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 113 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 114 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 115 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 116 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*         ii = 117 Cannot allocate machine registers
;*                   Regs Live Always   :  1/17 (A/B-side)
;*                   Max Regs Live      :  2/19
;*                   Max Cond Regs Live :  1/0 
;*      Disqualified loop: Did not find schedule
;*
;*----------------------------------------------------------------------------*
L5:    
	.line	21
           LDW     .D2T2   *+SP(8),B4        ; 
           NOP             4
           LDHU    .D2T2   *B4++,B5          ; |291| 
           NOP             3
           MV      .L2     B4,B6             ; |291| 

           STW     .D2T2   B6,*+SP(8)        ; |291| 
||         ADD     .L2     B5,B8,B8          ; 

	.line	22
           MV      .L2     B6,B4
           LDHU    .D2T2   *B4++,B5          ; |292| 
           NOP             4

           ADD     .L2     B5,B7,B7          ; 
||         MV      .S2     B4,B6             ; 
||         STW     .D2T2   B4,*+SP(8)        ; |292| 

	.line	23
           MV      .L2     B6,B4
           LDHU    .D2T2   *B4++,B5          ; |293| 
           NOP             4
           ADD     .L2X    B5,A15,B5         ; 

           STW     .D2T2   B4,*+SP(8)        ; |293| 
||         MV      .L1X    B5,A15            ; |293| 

	.line	24
           LDHU    .D2T2   *B4++,B5          ; |294| 
           NOP             4
           ADD     .L2X    B5,A14,B5         ; 

           STW     .D2T2   B4,*+SP(8)        ; |294| 
||         MV      .L1X    B5,A14            ; |294| 

	.line	25
           LDHU    .D2T2   *B4++,B6          ; |295| 
           NOP             4
           ADD     .L2X    B6,A13,B5         ; 

           STW     .D2T2   B4,*+SP(8)        ; |295| 
||         MV      .L1X    B5,A13            ; |295| 

	.line	26
           LDHU    .D2T2   *B4++,B5          ; |296| 
           NOP             4
           ADD     .L2X    B5,A11,B5         ; 

           MV      .L1X    B5,A11            ; |296| 
||         STW     .D2T2   B4,*+SP(8)        ; |296| 

	.line	27
           LDHU    .D2T2   *B4++,B5          ; |297| 
           NOP             4
           ADD     .L2X    B5,A10,B5         ; 

           MV      .L1X    B5,A10            ; |297| 
||         STW     .D2T2   B4,*+SP(8)        ; |297| 

	.line	28
           LDHU    .D2T2   *B4++,B5          ; |298| 
           NOP             4
           ADD     .L2X    B5,A3,B5          ; 

           MV      .L1X    B5,A3             ; |298| 
||         STW     .D2T2   B4,*+SP(8)        ; |298| 

	.line	29
           LDHU    .D2T2   *B4++,B5          ; |299| 
           NOP             4
           ADD     .L2X    B5,A4,B5          ; 

           STW     .D2T2   B4,*+SP(8)        ; |299| 
||         MV      .L1X    B5,A4             ; |299| 

	.line	30
           LDHU    .D2T2   *B4++,B5          ; |300| 
           NOP             4
           ADD     .L2X    B5,A5,B5          ; 

           MV      .L1X    B5,A5             ; |300| 
||         STW     .D2T2   B4,*+SP(8)        ; |300| 

	.line	31
           LDHU    .D2T2   *B4++,B5          ; |301| 
           NOP             4
           ADD     .L2X    B5,A6,B5          ; 

           MV      .L1X    B5,A6             ; |301| 
||         STW     .D2T2   B4,*+SP(8)        ; |301| 

	.line	32
           LDHU    .D2T2   *B4++,B5          ; |302| 
           NOP             4
           ADD     .L2X    B5,A7,B5          ; 

           STW     .D2T2   B4,*+SP(8)        ; |302| 
||         MV      .L1X    B5,A7             ; |302| 

	.line	33
           LDHU    .D2T2   *B4++,B5          ; |303| 
           NOP             4
           ADD     .L2X    B5,A8,B5          ; 

           STW     .D2T2   B4,*+SP(8)        ; |303| 
||         MV      .L1X    B5,A8             ; |303| 

	.line	34
           LDHU    .D2T2   *B4++,B5          ; |304| 
           NOP             4
           ADD     .L2X    B5,A9,B5          ; 

           STW     .D2T2   B4,*+SP(8)        ; |304| 
||         MV      .L1X    B5,A9             ; |304| 

	.line	35
           LDHU    .D2T2   *B4++,B5          ; |305| 
           NOP             4
           ADD     .L2X    B5,A2,B5          ; 

           MV      .L1X    B5,A2             ; |305| 
||         STW     .D2T2   B4,*+SP(8)        ; |305| 

	.line	36
           LDHU    .D2T2   *B4++,B5          ; |306| 
           NOP             4

           ADD     .L2X    B5,A12,B4         ; 
||         MV      .S2     B4,B6

           MV      .L1X    B4,A12            ; |306| 
||         STW     .D2T2   B6,*+SP(8)        ; |306| 

	.line	37
           SUB     .L1     A1,1,A1           ; |307| 
   [ A1]   B       .S1     L5                ; |307| 
           NOP             5
           ; BRANCH OCCURS                   ; |307| 
;** --------------------------------------------------------------------------*
	.line	39
           MVK     .S1     (_A_value-$bss),A1 ; |309| 

           ADD     .L1X    DP,A1,A1          ; |309| 
||         MV      .L2     B8,B4             ; |309| 

           ADD     .L1     A1,A0,A1          ; |309| 
||         SHRU    .S2     B4,3,B4           ; |309| 

           STW     .D1T2   B4,*A1            ; |309| 
	.line	40
           MVK     .S1     (_B_value-$bss),A1 ; |310| 

           ADD     .L1X    DP,A1,A1          ; |310| 
||         MV      .L2     B7,B4             ; |310| 

           ADD     .L1     A1,A0,A1          ; |310| 
||         SHRU    .S2     B4,3,B4           ; |310| 

           STW     .D1T2   B4,*A1            ; |310| 
	.line	41
           MVK     .S1     (_C_value-$bss),A1 ; |311| 

           ADD     .L1X    DP,A1,A1          ; |311| 
||         MV      .L2X    A15,B4            ; |311| 

           ADD     .L1     A1,A0,A1          ; |311| 
||         SHRU    .S2     B4,3,B4           ; |311| 

           STW     .D1T2   B4,*A1            ; |311| 
	.line	42
           MVK     .S1     (_D_value-$bss),A1 ; |312| 

           ADD     .L1X    DP,A1,A1          ; |312| 
||         MV      .L2X    A14,B4            ; |312| 

           ADD     .L1     A1,A0,A1          ; |312| 
||         SHRU    .S2     B4,3,B4           ; |312| 

           STW     .D1T2   B4,*A1            ; |312| 
	.line	43
           MVK     .S1     (_E_value-$bss),A1 ; |313| 

           ADD     .L1X    DP,A1,A1          ; |313| 
||         MV      .L2X    A13,B4            ; |313| 

           ADD     .L1     A1,A0,A1          ; |313| 
||         SHRU    .S2     B4,3,B4           ; |313| 

           STW     .D1T2   B4,*A1            ; |313| 
	.line	44
           MVK     .S1     (_F_value-$bss),A1 ; |314| 

           ADD     .L1X    DP,A1,A1          ; |314| 
||         MV      .L2X    A11,B4            ; |314| 

           ADD     .L1     A1,A0,A1          ; |314| 
||         SHRU    .S2     B4,3,B4           ; |314| 

           STW     .D1T2   B4,*A1            ; |314| 
	.line	45
           MVK     .S1     (_G_value-$bss),A1 ; |315| 

           ADD     .L1X    DP,A1,A1          ; |315| 
||         MV      .L2X    A10,B4            ; |315| 

           ADD     .L1     A1,A0,A1          ; |315| 
||         SHRU    .S2     B4,3,B4           ; |315| 

           STW     .D1T2   B4,*A1            ; |315| 
	.line	46
           MVK     .S1     (_H_value-$bss),A1 ; |316| 

           ADD     .L1X    DP,A1,A1          ; |316| 
||         MV      .L2X    A3,B4             ; |316| 

           ADD     .L1     A1,A0,A3          ; |316| 
||         SHRU    .S2     B4,3,B4           ; |316| 

           STW     .D1T2   B4,*A3            ; |316| 
	.line	47
           MVK     .S1     (_I_value-$bss),A3 ; |317| 

           ADD     .L1X    DP,A3,A3          ; |317| 
||         MV      .L2X    A4,B4             ; |317| 

           ADD     .L1     A3,A0,A3          ; |317| 
||         SHRU    .S2     B4,3,B4           ; |317| 

           STW     .D1T2   B4,*A3            ; |317| 
	.line	48
           MVK     .S1     (_J_value-$bss),A3 ; |318| 

           ADD     .L1X    DP,A3,A3          ; |318| 
||         MV      .L2X    A5,B4             ; |318| 

           ADD     .L1     A3,A0,A3          ; |318| 
||         SHRU    .S2     B4,3,B4           ; |318| 

           STW     .D1T2   B4,*A3            ; |318| 
	.line	49
           MVK     .S1     (_K_value-$bss),A3 ; |319| 

           ADD     .L1X    DP,A3,A3          ; |319| 
||         MV      .L2X    A6,B4             ; |319| 

           ADD     .L1     A3,A0,A3          ; |319| 
||         SHRU    .S2     B4,3,B4           ; |319| 

           STW     .D1T2   B4,*A3            ; |319| 
	.line	50
           MVK     .S1     (_L_value-$bss),A3 ; |320| 

           ADD     .L1X    DP,A3,A3          ; |320| 
||         MV      .L2X    A7,B4             ; |320| 

           ADD     .L1     A3,A0,A3          ; |320| 
||         SHRU    .S2     B4,3,B4           ; |320| 

           STW     .D1T2   B4,*A3            ; |320| 
	.line	51
           MVK     .S1     (_M_value-$bss),A3 ; |321| 

           ADD     .L1X    DP,A3,A3          ; |321| 
||         MV      .L2X    A8,B4             ; |321| 

           ADD     .L1     A3,A0,A3          ; |321| 
||         SHRU    .S2     B4,3,B4           ; |321| 

           STW     .D1T2   B4,*A3            ; |321| 
	.line	52
           MVK     .S1     (_N_value-$bss),A3 ; |322| 
           ADD     .L1X    DP,A3,A3          ; |322| 

           SHRU    .S1     A9,3,A4           ; |322| 
||         ADD     .L1     A3,A0,A3          ; |322| 

           STW     .D1T1   A4,*A3            ; |322| 
	.line	53
           MVK     .S1     (_O_value-$bss),A3 ; |323| 

           ADD     .L1X    DP,A3,A3          ; |323| 
||         MV      .L2X    A2,B4             ; |323| 

           ADD     .L1     A3,A0,A3          ; |323| 
||         SHRU    .S2     B4,3,B4           ; |323| 

           STW     .D1T2   B4,*A3            ; |323| 
	.line	54
           MVK     .S2     (_P_value-$bss),B5 ; |324| 
           ADD     .L2     DP,B5,B5          ; |324| 

           SHRU    .S1     A12,3,A0          ; |324| 
||         ADD     .L2X    B5,A0,B4          ; 

           STW     .D2T1   A0,*B4            ; |324| 
	.line	56
           LDW     .D2T2   *+DP(_iteration),B4 ; |326| 
           NOP             4
           ADD     .L2     1,B4,B4           ; |326| 
           STW     .D2T2   B4,*+DP(_iteration) ; |326| 
           CMPLT   .L2     B4,10,B0          ; |326| 

   [!B0]   MVK     .S2     0x63,B4           ; |326| 
|| [ B0]   ZERO    .L2     B4                ; |326| 

	.line	60
           LDW     .D2T1   *+SP(36),A15      ; |330| 
           LDW     .D2T1   *+SP(32),A14      ; |330| 
           LDW     .D2T1   *+SP(28),A13      ; |330| 
           LDW     .D2T1   *+SP(20),A11      ; |330| 
           LDW     .D2T1   *+SP(16),A10      ; |330| 
           LDW     .D2T1   *+SP(24),A12      ; |330| 
           LDW     .D2T2   *++SP(40),B3      ; |330| 
           NOP             4
           B       .S2     B3                ; |330| 
           NOP             4
           MV      .L1X    B4,A4             ; |330| 
           ; BRANCH OCCURS                   ; |330| 
	.endfunc	330,00008fc00h,40


	.sect	".text"
	.global	_appl_parms
	.sym	_appl_parms,_appl_parms, 32, 2, 0
	.func	116

;******************************************************************************
;* FUNCTION NAME: _appl_parms                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4                                             *
;*   Regs Used         : A0,A3,A4,A6,A8,B3,B4,B6                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_appl_parms:
;** --------------------------------------------------------------------------*
	.sym	_blocks,4, 30, 17, 32
	.sym	_records,20, 30, 17, 32
	.sym	_reclen,6, 30, 17, 32
	.sym	_size,22, 30, 17, 32
	.sym	_mode,8, 30, 17, 32
	.sym	_mode,8, 30, 4, 32
	.sym	_size,22, 30, 4, 32
	.sym	_reclen,6, 30, 4, 32
	.sym	_records,0, 30, 4, 32
	.sym	_blocks,4, 30, 4, 32
	.line	3
           MV      .L1X    B4,A0             ; 
	.line	9

           MVKL    .S2     0x40fd0220,B4     ; |124| 
||         MVKL    .S1     0x1800004,A3      ; |124| 

           MVKH    .S2     0x40fd0220,B4     ; |124| 
||         MVKH    .S1     0x1800004,A3      ; |124| 

           STW     .D1T2   B4,*A3            ; |124| 
	.line	11
           MVK     .S2     3,B4              ; |126| 
           STW     .D1T2   B4,*A4            ; |126| 
	.line	12
           MVK     .S2     128,B4            ; |127| 
           STW     .D1T2   B4,*A0            ; |127| 
	.line	13
           MVK     .S1     8,A0              ; |128| 
           STW     .D1T1   A0,*A6            ; |128| 
	.line	14
           ZERO    .L2     B4                ; |129| 
           STW     .D2T2   B4,*B6            ; |129| 
	.line	15
           MVK     .S1     2,A0              ; |130| 
           STW     .D1T1   A0,*A8            ; |130| 
	.line	21
           B       .S2     B3                ; |136| 
           NOP             5
           ; BRANCH OCCURS                   ; |136| 
	.endfunc	136,000000000h,0


	.sect	".text"
	.sym	_blink_leds,_blink_leds, 32, 3, 0
	.func	462

;******************************************************************************
;* FUNCTION NAME: _blink_leds                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 12 Save = 12 byte                  *
;******************************************************************************
_blink_leds:
;** --------------------------------------------------------------------------*
	.sym	_n,4, 4, 17, 32
	.sym	_n,10, 4, 4, 32
	.sym	L$1,10, 4, 4, 32
	.sym	K$6,11, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |462| 
           STW     .D2T1   A10,*+SP(8)       ; |462| 
           STW     .D2T1   A11,*+SP(12)      ; |462| 
	.line	1
	.line	3
           CMPGT   .L1     A4,0,A1           ; 
   [!A1]   B       .S1     L7                ; |464| 
           NOP             4
           MV      .L1     A4,A10            ; 
           ; BRANCH OCCURS                   ; |464| 
;** --------------------------------------------------------------------------*
           MVK     .S1     0x1f4,A11         ; |461| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: loop contains a call
;*----------------------------------------------------------------------------*
L6:    
	.line	5
           B       .S1     _evm_led_enable   ; |466| 
           NOP             3
           MVKL    .S2     RL2,B3            ; |466| 

           MVKH    .S2     RL2,B3            ; |466| 
||         ZERO    .L1     A4                ; |466| 

RL2:       ; CALL OCCURS                     ; |466| 
	.line	6
           B       .S1     _evm_led_enable   ; |467| 
           NOP             3
           MVKL    .S2     RL4,B3            ; |467| 

           MVKH    .S2     RL4,B3            ; |467| 
||         MVK     .S1     0x1,A4            ; |467| 

RL4:       ; CALL OCCURS                     ; |467| 
	.line	7
           B       .S1     _delay_msec       ; |468| 
           NOP             3
           MVKL    .S2     RL6,B3            ; |468| 

           EXTU    .S1     A11,16,16,A4      ; |468| 
||         MVKH    .S2     RL6,B3            ; |468| 

RL6:       ; CALL OCCURS                     ; |468| 
	.line	8
           B       .S1     _evm_led_disable  ; |469| 
           NOP             3
           MVKL    .S2     RL8,B3            ; |469| 

           MVKH    .S2     RL8,B3            ; |469| 
||         ZERO    .L1     A4                ; |469| 

RL8:       ; CALL OCCURS                     ; |469| 
	.line	9
           B       .S1     _evm_led_disable  ; |470| 
           NOP             3
           MVKL    .S2     RL10,B3           ; |470| 

           MVKH    .S2     RL10,B3           ; |470| 
||         MVK     .S1     0x1,A4            ; |470| 

RL10:      ; CALL OCCURS                     ; |470| 
	.line	10
           B       .S1     _delay_msec       ; |471| 
           NOP             3
           MVKL    .S2     RL12,B3           ; |471| 

           MVKH    .S2     RL12,B3           ; |471| 
||         EXTU    .S1     A11,16,16,A4      ; |471| 

RL12:      ; CALL OCCURS                     ; |471| 
	.line	11
           SUB     .L1     A10,1,A1          ; 
   [ A1]   B       .S1     L6                ; |472| 
           NOP             4
           SUB     .L1     A10,1,A10         ; 
           ; BRANCH OCCURS                   ; |472| 
;** --------------------------------------------------------------------------*
;** --------------------------------------------------------------------------*
L7:    
	.line	12
           LDW     .D2T1   *+SP(12),A11      ; |473| 
           LDW     .D2T1   *+SP(8),A10       ; |473| 
           LDW     .D2T2   *++SP(16),B3      ; |473| 
           NOP             4
           B       .S2     B3                ; |473| 
           NOP             5
           ; BRANCH OCCURS                   ; |473| 
	.endfunc	473,000080c00h,16


	.sect	".text"
	.global	_appl_init
	.sym	_appl_init,_appl_init, 32, 2, 0
	.func	143

;******************************************************************************
;* FUNCTION NAME: _appl_init                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,SP     *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,DP,SP  *
;*   Local Frame Size  : 0 Args + 4 Auto + 36 Save = 40 byte                  *
;******************************************************************************
_appl_init:
;** --------------------------------------------------------------------------*
	.sym	_data_buffer,4, 25, 17, 32, _T0
	.sym	C$1,20, 14, 4, 32
	.sym	Y$0,20, 14, 4, 32
	.sym	K$14,9, 14, 4, 32
	.sym	U$32,15, 30, 4, 32
	.sym	U$36,2, 30, 4, 32
	.sym	U$40,10, 30, 4, 32
	.sym	U$44,11, 30, 4, 32
	.sym	U$48,12, 30, 4, 32
	.sym	U$52,13, 30, 4, 32
	.sym	U$56,14, 30, 4, 32
	.sym	U$60,18, 30, 4, 32
	.sym	U$64,0, 30, 4, 32
	.sym	U$68,3, 30, 4, 32
	.sym	U$72,4, 30, 4, 32
	.sym	U$76,5, 30, 4, 32
	.sym	U$80,6, 30, 4, 32
	.sym	U$84,7, 30, 4, 32
	.sym	U$88,8, 30, 4, 32
	.sym	U$92,1, 30, 4, 32
	.sym	K$106,27, 14, 4, 32
	.sym	L$1,16, 4, 4, 32
	.sym	L$3,16, 4, 4, 32
	.sym	L$4,16, 4, 4, 32
	.sym	L$5,10, 4, 4, 32
	.sym	_pattern,26, 14, 4, 32
	.sym	_data_buffer,4, 25, 4, 32, _T0
	.sym	_ptr,3, 30, 4, 32
	.sym	_ptr,3, 30, 4, 32
	.sym	_data_buffer,4, 9, 1, 32, _T0
           STW     .D2T2   B11,*SP--(40)     ; |143| 
           STW     .D2T1   A10,*+SP(8)       ; |143| 
           STW     .D2T1   A11,*+SP(12)      ; |143| 
           STW     .D2T1   A12,*+SP(16)      ; |143| 
           STW     .D2T1   A13,*+SP(20)      ; |143| 
           STW     .D2T1   A14,*+SP(24)      ; |143| 
           STW     .D2T1   A15,*+SP(28)      ; |143| 
           STW     .D2T2   B3,*+SP(32)       ; |143| 
           STW     .D2T2   B10,*+SP(36)      ; |143| 
	.line	1
           LDW     .D1T1   *A4,A0            ; |143| 
           NOP             4
           STW     .D2T1   A0,*+SP(4)        ; |143| 
	.line	12
           MVK     .S2     (_save_data_alloc-$bss),B4 ; |154| 
           ADD     .L2     DP,B4,B4          ; |154| 
           STW     .D2T2   B4,*+DP(_save_data) ; |154| 
	.line	14
           LDW     .D2T1   *+SP(4),A3        ; |156| 
           NOP             2
           ZERO    .L1     A9                ; |142| 
	.line	15

           MV      .L2X    A9,B4             ; 
||         MVK     .S2     0x180,B0          ; |157| 

           MVC     .S2     CSR,B6
||         MV      .L2X    A3,B5
||         MV      .L1     A9,A0             ; 

           AND     .L2     -2,B6,B7

           MVC     .S2     B7,CSR
||         ADD     .L2     4,B5,B5
||         SUB     .D2     B0,2,B0

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 384
;*      Known Maximum Trip Count         : 384
;*      Known Max Trip Count Factor      : 384
;*      Loop Carried Dependency Bound(^) : 0
;*      Unpartitioned Resource Bound     : 4
;*      Partitioned Resource Bound(*)    : 4
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     4*       4*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             4*       4*    
;*      Long read paths              4*       4*    
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        0     
;*      Bound(.L .S .D .LS .LSD)     2        2     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Epilog not removed          : Instructions share increment
;*      Speculative Load Threshold  : Unknown
;*      Collapsed Epilog Stages     : 0
;*
;*      Prolog not removed          : Stage cycles < ii
;*      Collapsed Prolog Stages     : 0
;*
;*----------------------------------------------------------------------------*
L8:    ; PIPED LOOP PROLOG

   [ B0]   B       .S1     L9                ; |158| 
||         STW     .D2T2   B4,*B5++(32)      ; |158| 

           STW     .D2T2   B4,*-B5(28)       ; |158| 
;** --------------------------------------------------------------------------*
L9:    ; PIPED LOOP KERNEL

           STW     .D1T1   A0,*A3++(32)      ; |157| 
||         STW     .D2T2   B4,*-B5(24)       ; |158| 

           STW     .D1T1   A0,*-A3(12)       ; |158| 
||         STW     .D2T2   B4,*-B5(20)       ; |158| 
|| [ B0]   SUB     .L2     B0,1,B0           ; @|158| 

           STW     .D1T1   A0,*-A3(8)        ; |158| 
|| [ B0]   B       .S1     L9                ; @|158| 
||         STW     .D2T2   B4,*B5++(32)      ; @|158| 

           STW     .D1T1   A0,*-A3(4)        ; |158| 
||         STW     .D2T2   B4,*-B5(28)       ; @|158| 

;** --------------------------------------------------------------------------*
L10:    ; PIPED LOOP EPILOG

           STW     .D1T1   A0,*A3++(32)      ; @|157| 
||         STW     .D2T2   B4,*-B5(24)       ; @|158| 

           STW     .D1T1   A0,*-A3(12)       ; @|158| 
||         STW     .D2T2   B4,*-B5(20)       ; @|158| 

           STW     .D1T1   A0,*-A3(8)        ; @|158| 
           STW     .D1T1   A0,*-A3(4)        ; @|158| 
;** --------------------------------------------------------------------------*

           MV      .L1     A0,A9
||         MVC     .S2     B6,CSR

	.line	18
           LDW     .D2T1   *+DP(_save_data),A3 ; |160| 
           NOP             3
	.line	19

           MV      .L2X    A9,B4             ; 
||         MVK     .S2     0x10,B0           ; |161| 

           MVC     .S2     CSR,B6
||         MV      .L2X    A3,B5

           AND     .L2     -2,B6,B7

           MVC     .S2     B7,CSR
||         ADD     .L2     4,B5,B5
||         SUB     .D2     B0,2,B0

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 16
;*      Known Maximum Trip Count         : 16
;*      Known Max Trip Count Factor      : 16
;*      Loop Carried Dependency Bound(^) : 0
;*      Unpartitioned Resource Bound     : 4
;*      Partitioned Resource Bound(*)    : 4
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     4*       4*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             4*       4*    
;*      Long read paths              4*       4*    
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        0     
;*      Bound(.L .S .D .LS .LSD)     2        2     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Epilog not removed          : Instructions share increment
;*      Speculative Load Threshold  : Unknown
;*      Collapsed Epilog Stages     : 0
;*
;*      Prolog not removed          : Stage cycles < ii
;*      Collapsed Prolog Stages     : 0
;*
;*----------------------------------------------------------------------------*
L11:    ; PIPED LOOP PROLOG

   [ B0]   B       .S1     L12               ; |162| 
||         STW     .D2T2   B4,*B5++(32)      ; |162| 

           STW     .D2T2   B4,*-B5(28)       ; |162| 
;** --------------------------------------------------------------------------*
L12:    ; PIPED LOOP KERNEL

           STW     .D1T1   A0,*A3++(32)      ; |162| 
||         STW     .D2T2   B4,*-B5(24)       ; |162| 

           STW     .D1T1   A0,*-A3(12)       ; |162| 
||         STW     .D2T2   B4,*-B5(20)       ; |162| 
|| [ B0]   SUB     .L2     B0,1,B0           ; @|162| 

           STW     .D1T1   A0,*-A3(8)        ; |162| 
|| [ B0]   B       .S1     L12               ; @|162| 
||         STW     .D2T2   B4,*B5++(32)      ; @|162| 

           STW     .D1T1   A0,*-A3(4)        ; |162| 
||         STW     .D2T2   B4,*-B5(28)       ; @|162| 

;** --------------------------------------------------------------------------*
L13:    ; PIPED LOOP EPILOG

           STW     .D1T1   A0,*A3++(32)      ; @|162| 
||         STW     .D2T2   B4,*-B5(24)       ; @|162| 

           STW     .D1T1   A0,*-A3(12)       ; @|162| 
||         STW     .D2T2   B4,*-B5(20)       ; @|162| 

           STW     .D1T1   A0,*-A3(8)        ; @|162| 
           STW     .D1T1   A0,*-A3(4)        ; @|162| 
;** --------------------------------------------------------------------------*

           MV      .L1     A0,A9
||         MVC     .S2     B6,CSR

	.line	22
           MVK     .S2     0xa,B0            ; |164| 
           MVK     .S1     (_A_value-$bss),A0 ; |142| 
           ADD     .L1X    DP,A0,A15         ; 
           MVK     .S1     (_B_value-$bss),A0 ; |142| 
           ADD     .L1X    DP,A0,A2          ; 
           MVK     .S1     (_C_value-$bss),A0 ; |142| 
           ADD     .L1X    DP,A0,A10         ; 
           MVK     .S1     (_D_value-$bss),A0 ; |142| 
           ADD     .L1X    DP,A0,A11         ; 
           MVK     .S1     (_E_value-$bss),A0 ; |142| 
           ADD     .L1X    DP,A0,A12         ; 
           MVK     .S1     (_F_value-$bss),A0 ; |142| 
           ADD     .L1X    DP,A0,A13         ; 
           MVK     .S1     (_G_value-$bss),A0 ; |142| 
           ADD     .L1X    DP,A0,A14         ; 
           MVK     .S1     (_H_value-$bss),A0 ; |142| 
           ADD     .L2X    DP,A0,B2          ; 
           MVK     .S1     (_I_value-$bss),A0 ; |142| 
           ADD     .L1X    DP,A0,A0          ; 
           MVK     .S1     (_J_value-$bss),A3 ; |142| 
           ADD     .L1X    DP,A3,A3          ; 
           MVK     .S1     (_K_value-$bss),A4 ; |142| 
           ADD     .L1X    DP,A4,A4          ; 
           MVK     .S1     (_L_value-$bss),A5 ; |142| 
           ADD     .L1X    DP,A5,A5          ; 
           MVK     .S1     (_M_value-$bss),A6 ; |142| 
           ADD     .L1X    DP,A6,A6          ; 
           MVK     .S1     (_N_value-$bss),A7 ; |142| 
           ADD     .L1X    DP,A7,A7          ; 
           MVK     .S1     (_O_value-$bss),A8 ; |142| 
           ADD     .L1X    DP,A8,A8          ; 
           MV      .L2X    A9,B10
           MV      .L2X    A15,B4
           MV      .L2X    A2,B5
           MV      .L2X    A10,B6
           MV      .L2X    A11,B7
           MV      .L2X    A12,B8

           MV      .L2X    A13,B9
||         MVK     .S1     (_P_value-$bss),A1 ; |142| 

           MVC     .S2     CSR,B3
||         MV      .L2X    A14,B1
||         ADD     .L1X    DP,A1,A1          ; 

           AND     .L2     -2,B3,B11
           MVC     .S2     B11,CSR
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 10
;*      Known Maximum Trip Count         : 10
;*      Known Max Trip Count Factor      : 10
;*      Loop Carried Dependency Bound(^) : 0
;*      Unpartitioned Resource Bound     : 8
;*      Partitioned Resource Bound(*)    : 8
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     8*       8*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             8*       8*    
;*      Long read paths              8*       8*    
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        0     
;*      Bound(.L .S .D .LS .LSD)     3        3     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 8  Schedule found with 1 iterations in parallel
;*      Done
;*
;*      Collapsed Epilog Stages     : 0
;*      Collapsed Prolog Stages     : 0
;*
;*----------------------------------------------------------------------------*
L14:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L15:    ; PIPED LOOP KERNEL

           STW     .D2T2   B10,*B4++         ; |165| 
||         STW     .D1T1   A9,*A0++          ; |173| 

           STW     .D2T2   B10,*B5++         ; |166| 
||         STW     .D1T1   A9,*A3++          ; |174| 
|| [ B0]   SUB     .L2     B0,1,B0           ; |182| 

           STW     .D2T2   B10,*B6++         ; |167| 
||         STW     .D1T1   A9,*A4++          ; |175| 
|| [ B0]   B       .S1     L15               ; |182| 

           STW     .D2T2   B10,*B7++         ; |168| 
||         STW     .D1T1   A9,*A5++          ; |176| 

           STW     .D2T2   B10,*B8++         ; |169| 
||         STW     .D1T1   A9,*A6++          ; |177| 

           STW     .D2T2   B10,*B9++         ; |170| 
||         STW     .D1T1   A9,*A7++          ; |178| 

           STW     .D2T2   B10,*B1++         ; |171| 
||         STW     .D1T1   A9,*A8++          ; |179| 

           STW     .D2T2   B10,*B2++         ; |172| 
||         STW     .D1T1   A9,*A1++          ; |180| 

;** --------------------------------------------------------------------------*
L16:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           MVC     .S2     B3,CSR
	.line	42
           ZERO    .L1     A3                ; |184| 
           STW     .D2T1   A3,*+DP(_loop_count) ; |184| 
	.line	43
           ZERO    .L2     B5                ; |185| 
           STW     .D2T2   B5,*+DP(_iteration) ; |185| 
	.line	48
           MVKL    .S1     0x70000001,A0     ; |190| 
           MVKH    .S1     0x70000001,A0     ; |190| 
           STW     .D2T1   A0,*+DP(_fpga_io_reg) ; |190| 
	.line	49

           ZERO    .L1     A0                ; |191| 
||         MVKL    .S2     0x70000001,B4     ; |191| 

           MVKH    .S1     0x1500000,A0      ; |191| 
||         MVKH    .S2     0x70000001,B4     ; |191| 

           STW     .D1T2   B4,*A0            ; |191| 
	.line	50
           B       .S1     _blink_leds       ; |192| 
           NOP             3
           MVKL    .S2     RL14,B3           ; |192| 

           MVKH    .S2     RL14,B3           ; |192| 
||         MVK     .S1     0x1,A4            ; |192| 

RL14:      ; CALL OCCURS                     ; |192| 
           MVK     .S2     0xffffffff,B11    ; |142| 
	.line	51
           MVK     .S1     0x18,A10          ; |193| 
	.line	47
           MVK     .S2     0x1,B10           ; |189| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: loop contains a call
;*----------------------------------------------------------------------------*
L17:    
	.line	52
           LDW     .D2T2   *+DP(_fpga_io_reg),B5 ; |194| 
           NOP             3
           XOR     .L2     B11,B10,B4        ; |194| 
           AND     .L2     B5,B4,B4          ; |194| 
	.line	54
           SHL     .S2     B10,1,B10         ; |196| 
           OR      .L2     B10,B4,B4         ; |196| 
           STW     .D2T2   B4,*+DP(_fpga_io_reg) ; |196| 
	.line	55
           ZERO    .L1     A0                ; |197| 
           MVKH    .S1     0x1500000,A0      ; |197| 
           STW     .D1T2   B4,*A0            ; |197| 
	.line	56
           B       .S1     _blink_leds       ; |198| 
           NOP             3
           MVKL    .S2     RL16,B3           ; |198| 

           MVKH    .S2     RL16,B3           ; |198| 
||         MVK     .S1     0x1,A4            ; |198| 

RL16:      ; CALL OCCURS                     ; |198| 
	.line	57
           SUB     .L1     A10,1,A1          ; 
   [ A1]   B       .S1     L17               ; |199| 
           NOP             4
           SUB     .L1     A10,1,A10         ; 
           ; BRANCH OCCURS                   ; |199| 
;** --------------------------------------------------------------------------*
	.line	125
           LDW     .D2T2   *+SP(32),B3       ; |267| 
           LDW     .D2T1   *+SP(28),A15      ; |267| 
           LDW     .D2T1   *+SP(24),A14      ; |267| 
           LDW     .D2T1   *+SP(20),A13      ; |267| 
           LDW     .D2T1   *+SP(16),A12      ; |267| 
           LDW     .D2T1   *+SP(12),A11      ; |267| 
           LDW     .D2T1   *+SP(8),A10       ; |267| 

           B       .S2     B3                ; |267| 
||         LDW     .D2T2   *+SP(36),B10      ; |267| 

           LDW     .D2T2   *++SP(40),B11     ; |267| 
           NOP             4
           ; BRANCH OCCURS                   ; |267| 
	.endfunc	267,00c08fc00h,40


	.sect	".text"
	.global	_appl_idle
	.sym	_appl_idle,_appl_idle, 36, 2, 0
	.func	334

;******************************************************************************
;* FUNCTION NAME: _appl_idle                                                  *
;*                                                                            *
;*   Regs Modified     : A4,B4                                                *
;*   Regs Used         : A4,B3,B4,DP                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_appl_idle:
;** --------------------------------------------------------------------------*
	.line	4
           LDW     .D2T2   *+DP(_loop_count),B4 ; |337| 
           NOP             4
           ADD     .L2     1,B4,B4           ; |337| 
           STW     .D2T2   B4,*+DP(_loop_count) ; |337| 
	.line	7
           ZERO    .L1     A4                ; |340| 
	.line	8
           B       .S2     B3                ; |341| 
           NOP             5
           ; BRANCH OCCURS                   ; |341| 
	.endfunc	341,000000000h,0


	.sect	".text"
	.global	_appl_end
	.sym	_appl_end,_appl_end, 32, 2, 0
	.func	345

;******************************************************************************
;* FUNCTION NAME: _appl_end                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP                                           *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,DP,SP                                        *
;*   Local Frame Size  : 168 Args + 72 Auto + 44 Save = 284 byte              *
;******************************************************************************
_appl_end:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,22, 4, 4, 32
	.sym	C$3,20, 29, 4, 32
	.sym	C$4,21, 29, 4, 32
	.sym	C$5,20, 30, 4, 32
	.sym	C$6,0, 30, 4, 32
	.sym	C$7,20, 30, 4, 32
	.sym	C$8,20, 30, 4, 32
	.sym	C$9,20, 30, 4, 32
	.sym	C$10,20, 30, 4, 32
	.sym	C$11,20, 30, 4, 32
	.sym	C$12,20, 30, 4, 32
	.sym	C$13,20, 30, 4, 32
	.sym	C$14,20, 30, 4, 32
	.sym	C$15,0, 30, 4, 32
	.sym	C$16,20, 30, 4, 32
	.sym	C$17,20, 30, 4, 32
	.sym	C$18,20, 30, 4, 32
	.sym	C$19,20, 30, 4, 32
	.sym	C$20,21, 30, 4, 32
	.sym	C$21,21, 82, 4, 32
	.sym	C$22,22, 20, 4, 32
	.sym	Y$0,20, 14, 4, 32
	.sym	_j,26, 4, 4, 32
	.sym	_pattern,26, 14, 4, 32
	.sym	L$2,10, 4, 4, 32
	.sym	K$510,27, 14, 4, 32
           ADDK    .S2     -288,SP           ; |345| 
           STW     .D2T1   A10,*+SP(248)     ; |345| 
           STW     .D2T1   A11,*+SP(252)     ; |345| 
           STW     .D2T1   A12,*+SP(256)     ; |345| 
           STW     .D2T1   A13,*+SP(260)     ; |345| 
           STW     .D2T1   A14,*+SP(264)     ; |345| 
           STW     .D2T1   A15,*+SP(268)     ; |345| 
           STW     .D2T2   B3,*+SP(272)      ; |345| 
           STW     .D2T2   B10,*+SP(276)     ; |345| 
           STW     .D2T2   B11,*+SP(280)     ; |345| 
           STW     .D2T2   B12,*+SP(284)     ; |345| 
           STW     .D2T2   B13,*+SP(288)     ; |345| 
	.line	7
           MVK     .S1     (_bufs-$bss),A0   ; |351| 
           ADD     .L2X    DP,A0,B6          ; 
           MVK     .S1     (_addr-$bss),A0   ; |351| 
           ADD     .L2X    DP,A0,B5          ; 
           LDW     .D2T2   *+B6(16),B7       ; |351| 
           NOP             1
           LDW     .D2T1   *+B6(20),A4       ; 
           LDW     .D2T1   *+B5(20),A3       ; 
           LDW     .D2T2   *+B5(40),B4       ; |351| 
           STW     .D2T2   B7,*+SP(44)       ; |351| 
           LDW     .D2T1   *+B6(24),A6       ; 
           LDW     .D2T1   *+B6(28),A8       ; 
           LDW     .D2T1   *+B5(24),A5       ; 
           LDW     .D2T1   *+B6(32),A1       ; 

           LDW     .D2T1   *+B5(28),A7       ; 
||         MV      .L2X    A3,B7             ; |351| 

           STW     .D2T2   B7,*+SP(48)       ; |351| 
           STW     .D2T2   B4,*+SP(172)      ; |351| 
           LDW     .D2T1   *+B5(32),A9       ; 

           LDW     .D2T1   *+B5(36),A2       ; 
||         MV      .L2X    A4,B7             ; |351| 

           STW     .D2T2   B7,*+SP(52)       ; |351| 
           LDW     .D2T2   *+B6(40),B4       ; |351| 

           LDW     .D2T1   *+B6(36),A14      ; 
||         MV      .L2X    A5,B7             ; |351| 

           MV      .L2X    A6,B7             ; |351| 
||         STW     .D2T2   B7,*+SP(56)       ; |351| 

           MV      .L2X    A7,B7             ; |351| 
||         STW     .D2T2   B7,*+SP(60)       ; |351| 

           STW     .D2T2   B7,*+SP(64)       ; |351| 

           STW     .D2T2   B4,*+SP(176)      ; |351| 
||         MV      .L2X    A8,B7             ; |351| 

           MV      .L2X    A9,B7             ; |351| 
||         STW     .D2T2   B7,*+SP(68)       ; |351| 

           MV      .L2X    A1,B7             ; |351| 
||         STW     .D2T2   B7,*+SP(72)       ; |351| 

           STW     .D2T2   B7,*+SP(76)       ; |351| 

           LDW     .D2T2   *+B5(44),B4       ; |351| 
||         MV      .L2X    A2,B7             ; |351| 

           MV      .L2X    A14,B7            ; |351| 
||         STW     .D2T2   B7,*+SP(80)       ; |351| 

           STW     .D2T2   B7,*+SP(84)       ; |351| 
           LDW     .D2T2   *+SP(172),B7      ; |351| 
           NOP             1
           STW     .D2T2   B4,*+SP(180)      ; |351| 
           LDW     .D2T2   *+B6(44),B4       ; |351| 
           NOP             1
           STW     .D2T2   B7,*+SP(88)       ; |351| 
           LDW     .D2T2   *+SP(176),B7      ; |351| 
           NOP             1
           STW     .D2T2   B4,*+SP(184)      ; |351| 
           LDW     .D2T2   *+B5(48),B4       ; |351| 
           NOP             1
           STW     .D2T2   B7,*+SP(92)       ; |351| 
           LDW     .D2T2   *+SP(180),B7      ; |351| 
           NOP             1
           STW     .D2T2   B4,*+SP(188)      ; |351| 
           LDW     .D2T2   *+B6(48),B4       ; |351| 
           NOP             1
           STW     .D2T2   B7,*+SP(96)       ; |351| 
           LDW     .D2T2   *+SP(184),B7      ; |351| 
           NOP             1
           STW     .D2T2   B4,*+SP(192)      ; |351| 
           LDW     .D2T2   *+B5(52),B4       ; |351| 
           NOP             1
           STW     .D2T2   B7,*+SP(100)      ; |351| 
           LDW     .D2T2   *+SP(188),B7      ; |351| 
           NOP             1
           STW     .D2T2   B4,*+SP(196)      ; |351| 
           LDW     .D2T2   *+B6(52),B4       ; |351| 
           NOP             1
           STW     .D2T2   B7,*+SP(104)      ; |351| 
           LDW     .D2T2   *+SP(192),B7      ; |351| 
           NOP             1
           STW     .D2T2   B4,*+SP(200)      ; |351| 
           LDW     .D2T2   *+B5(56),B4       ; |351| 
           NOP             1
           STW     .D2T2   B7,*+SP(108)      ; |351| 
           LDW     .D2T2   *+SP(196),B7      ; |351| 
           NOP             1
           STW     .D2T2   B4,*+SP(204)      ; |351| 
           LDW     .D2T2   *+B6(56),B4       ; |351| 
           NOP             1
           STW     .D2T2   B7,*+SP(112)      ; |351| 
           LDW     .D2T2   *+SP(200),B7      ; |351| 
           NOP             1
           STW     .D2T2   B4,*+SP(208)      ; |351| 
           LDW     .D2T2   *+B5(60),B4       ; |351| 
           NOP             1
           STW     .D2T2   B7,*+SP(116)      ; |351| 
           LDW     .D2T2   *+SP(204),B7      ; |351| 
           LDW     .D2T2   *+DP(_bufs),B13   ; |351| 
           STW     .D2T2   B4,*+SP(212)      ; |351| 
           LDW     .D2T2   *+B6(60),B4       ; |351| 
           LDW     .D2T2   *+B6(8),B1        ; |351| 
           STW     .D2T2   B7,*+SP(120)      ; |351| 
           LDW     .D2T2   *+SP(208),B7      ; |351| 
           LDW     .D2T2   *+B6(12),B9       ; |351| 
           STW     .D2T2   B4,*+SP(216)      ; |351| 
           LDW     .D2T2   *+B5(64),B4       ; |351| 
           LDW     .D2T2   *+B6(4),B11       ; |351| 
           STW     .D2T2   B7,*+SP(124)      ; |351| 
           LDW     .D2T2   *+SP(212),B7      ; |351| 
           LDW     .D2T2   *+B5(8),B2        ; |351| 
           STW     .D2T2   B4,*+SP(220)      ; |351| 
           LDW     .D2T2   *+B5(12),B0       ; |351| 
           LDW     .D2T2   *+B6(64),B4       ; |351| 
           STW     .D2T2   B7,*+SP(128)      ; |351| 
           LDW     .D2T2   *+SP(216),B7      ; |351| 
           LDW     .D2T2   *+B5(16),B8       ; |351| 
           LDW     .D2T2   *+B5(4),B12       ; |351| 
           STW     .D2T2   B13,*+SP(12)      ; |351| 
           STW     .D2T2   B4,*+SP(224)      ; |351| 

           STW     .D2T2   B7,*+SP(132)      ; |351| 
||         MVKL    .S1     SL1+0,A15         ; |351| 

           LDW     .D2T2   *+SP(220),B7      ; |351| 
||         MVKH    .S1     SL1+0,A15         ; |351| 

           STW     .D2T1   A15,*+SP(4)       ; |351| 
           LDW     .D2T2   *+B5(68),B4       ; |351| 
           LDW     .D2T1   *B5,A0            ; 
           STW     .D2T2   B1,*+SP(28)       ; |351| 
           STW     .D2T2   B7,*+SP(136)      ; |351| 
           LDW     .D2T2   *+SP(224),B7      ; |351| 
           STW     .D2T2   B4,*+SP(228)      ; |351| 
           STW     .D2T2   B9,*+SP(36)       ; |351| 
           LDW     .D2T2   *+B6(68),B4       ; |351| 
           STW     .D2T2   B11,*+SP(20)      ; |351| 
           STW     .D2T2   B7,*+SP(140)      ; |351| 
           LDW     .D2T2   *+SP(228),B7      ; |351| 
           STW     .D2T2   B2,*+SP(24)       ; |351| 
           STW     .D2T2   B4,*+SP(232)      ; |351| 
           STW     .D2T2   B0,*+SP(32)       ; |351| 
           LDW     .D2T2   *+B5(72),B4       ; |351| 
           STW     .D2T2   B7,*+SP(144)      ; |351| 
           LDW     .D2T2   *+SP(232),B7      ; |351| 
           STW     .D2T2   B8,*+SP(40)       ; |351| 
           STW     .D2T2   B12,*+SP(16)      ; |351| 
           STW     .D2T2   B4,*+SP(236)      ; |351| 
           LDW     .D2T2   *+B6(72),B4       ; |351| 
           STW     .D2T2   B7,*+SP(148)      ; |351| 
           LDW     .D2T2   *+B5(76),B5       ; |351| 
           LDW     .D2T2   *+B6(76),B6       ; |351| 

           B       .S1     _printf           ; |351| 
||         LDW     .D2T2   *+SP(236),B7      ; |351| 
||         MV      .L2X    A0,B13            ; |351| 

           STW     .D2T2   B13,*+SP(8)       ; |351| 
           STW     .D2T2   B4,*+SP(156)      ; |351| 
           STW     .D2T2   B5,*+SP(160)      ; |351| 

           STW     .D2T2   B6,*+SP(164)      ; |351| 
||         MVKL    .S2     RL18,B3           ; |351| 

           STW     .D2T2   B7,*+SP(152)      ; |351| 
||         MVKH    .S2     RL18,B3           ; |351| 

RL18:      ; CALL OCCURS                     ; |351| 
	.line	21
           MVK     .S1     (_A_value-$bss),A0 ; |365| 
           ADD     .L2X    DP,A0,B5          ; 
           LDW     .D2T2   *+B5(32),B12      ; |365| 
           LDW     .D2T2   *+B5(8),B1        ; |365| 
           LDW     .D2T2   *+B5(16),B9       ; |365| 
           LDW     .D2T2   *+B5(4),B2        ; |365| 
           LDW     .D2T2   *+SP(240),B4      ; |365| 
           LDW     .D2T2   *+B5(12),B0       ; |365| 
           LDW     .D2T2   *+B5(20),B8       ; |365| 
           LDW     .D2T2   *+DP(_A_value),B11 ; |365| 
           LDW     .D2T2   *+B5(28),B6       ; |365| 

           MVKL    .S2     SL2+0,B4          ; |365| 
||         LDW     .D2T2   *+B5(24),B7       ; |365| 

           MVKH    .S2     SL2+0,B4          ; |365| 
||         STW     .D2T2   B4,*+SP(240)      ; |365| 

           STW     .D2T2   B4,*+SP(4)        ; |365| 
           STW     .D2T2   B11,*+SP(8)       ; |365| 
           LDW     .D2T2   *+B5(36),B5       ; |365| 
           STW     .D2T2   B12,*+SP(40)      ; |365| 
           STW     .D2T2   B1,*+SP(16)       ; |365| 
           STW     .D2T2   B9,*+SP(24)       ; |365| 
           STW     .D2T2   B0,*+SP(20)       ; |365| 

           B       .S1     _printf           ; |365| 
||         STW     .D2T2   B2,*+SP(12)       ; |365| 

           STW     .D2T2   B8,*+SP(28)       ; |365| 
           STW     .D2T2   B6,*+SP(36)       ; |365| 
           STW     .D2T2   B7,*+SP(32)       ; |365| 

           STW     .D2T2   B5,*+SP(44)       ; |365| 
||         MVKL    .S2     RL20,B3           ; |365| 

           STW     .D2T2   B4,*+SP(240)      ; |365| 
||         MVKH    .S2     RL20,B3           ; |365| 

RL20:      ; CALL OCCURS                     ; |365| 
	.line	24
           MVK     .S1     (_B_value-$bss),A0 ; |368| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(12),B1       ; |368| 
           LDW     .D2T2   *+B4(20),B9       ; |368| 
           LDW     .D2T2   *+B4(8),B2        ; |368| 
           LDW     .D2T2   *+B4(16),B0       ; |368| 
           LDW     .D2T2   *+B4(24),B8       ; |368| 
           LDW     .D2T2   *+B4(32),B6       ; |368| 
           LDW     .D2T2   *+B4(28),B7       ; |368| 
           LDW     .D2T2   *+B4(4),B11       ; |368| 
           LDW     .D2T2   *+B4(36),B4       ; |368| 
           NOP             2
           LDW     .D2T2   *+DP(_B_value),B5 ; |368| 

           STW     .D2T2   B11,*+SP(12)      ; |368| 
||         MVKL    .S1     SL3+0,A12         ; |368| 

           STW     .D2T2   B4,*+SP(44)       ; |368| 
||         MVKH    .S1     SL3+0,A12         ; |368| 

           STW     .D2T1   A12,*+SP(4)       ; |368| 
           STW     .D2T2   B1,*+SP(20)       ; |368| 
           STW     .D2T2   B9,*+SP(28)       ; |368| 

           B       .S1     _printf           ; |368| 
||         STW     .D2T2   B2,*+SP(16)       ; |368| 

           STW     .D2T2   B0,*+SP(24)       ; |368| 
           STW     .D2T2   B8,*+SP(32)       ; |368| 
           STW     .D2T2   B6,*+SP(40)       ; |368| 

           STW     .D2T2   B7,*+SP(36)       ; |368| 
||         MVKL    .S2     RL22,B3           ; |368| 

           STW     .D2T2   B5,*+SP(8)        ; |368| 
||         MVKH    .S2     RL22,B3           ; |368| 

RL22:      ; CALL OCCURS                     ; |368| 
	.line	27
           MVK     .S1     (_C_value-$bss),A0 ; |371| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+DP(_C_value),B11 ; |371| 
           LDW     .D2T2   *+B4(20),B9       ; |371| 
           LDW     .D2T2   *+B4(28),B1       ; |371| 
           LDW     .D2T2   *+B4(16),B8       ; |371| 
           LDW     .D2T2   *+B4(24),B0       ; |371| 
           LDW     .D2T2   *+B4(32),B2       ; |371| 
           LDW     .D2T2   *+B4(8),B6        ; |371| 
           LDW     .D2T2   *+B4(12),B7       ; |371| 
           LDW     .D2T2   *+B4(4),B5        ; |371| 
           LDW     .D2T2   *+B4(36),B4       ; |371| 
           MVKL    .S2     SL4+0,B10         ; |371| 
           MVKH    .S2     SL4+0,B10         ; |371| 
           STW     .D2T2   B10,*+SP(4)       ; |371| 
           STW     .D2T2   B11,*+SP(8)       ; |371| 
           STW     .D2T2   B4,*+SP(44)       ; |371| 
           STW     .D2T2   B9,*+SP(28)       ; |371| 
           STW     .D2T2   B1,*+SP(36)       ; |371| 

           B       .S1     _printf           ; |371| 
||         STW     .D2T2   B8,*+SP(24)       ; |371| 

           STW     .D2T2   B0,*+SP(32)       ; |371| 
           STW     .D2T2   B2,*+SP(40)       ; |371| 
           STW     .D2T2   B6,*+SP(16)       ; |371| 

           STW     .D2T2   B7,*+SP(20)       ; |371| 
||         MVKL    .S2     RL24,B3           ; |371| 

           STW     .D2T2   B5,*+SP(12)       ; |371| 
||         MVKH    .S2     RL24,B3           ; |371| 

RL24:      ; CALL OCCURS                     ; |371| 
	.line	30
           MVK     .S1     (_D_value-$bss),A0 ; |374| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(12),B1       ; |374| 
           LDW     .D2T2   *+B4(20),B9       ; |374| 
           LDW     .D2T2   *+B4(8),B2        ; |374| 
           LDW     .D2T2   *+B4(16),B0       ; |374| 
           LDW     .D2T2   *+B4(24),B8       ; |374| 
           LDW     .D2T2   *+B4(32),B6       ; |374| 
           LDW     .D2T2   *+B4(28),B7       ; |374| 
           LDW     .D2T2   *+B4(4),B10       ; |374| 
           LDW     .D2T2   *+B4(36),B4       ; |374| 
           LDW     .D2T2   *+DP(_D_value),B5 ; |374| 
           NOP             1
           STW     .D2T2   B7,*+SP(36)       ; |374| 
           STW     .D2T2   B10,*+SP(12)      ; |374| 

           STW     .D2T2   B4,*+SP(44)       ; |374| 
||         MVKL    .S1     SL5+0,A11         ; |374| 

           STW     .D2T2   B5,*+SP(8)        ; |374| 
||         MVKH    .S1     SL5+0,A11         ; |374| 

           STW     .D2T1   A11,*+SP(4)       ; |374| 

           B       .S1     _printf           ; |374| 
||         STW     .D2T2   B1,*+SP(20)       ; |374| 

           STW     .D2T2   B9,*+SP(28)       ; |374| 
           STW     .D2T2   B2,*+SP(16)       ; |374| 
           STW     .D2T2   B0,*+SP(24)       ; |374| 

           STW     .D2T2   B8,*+SP(32)       ; |374| 
||         MVKL    .S2     RL26,B3           ; |374| 

           STW     .D2T2   B6,*+SP(40)       ; |374| 
||         MVKH    .S2     RL26,B3           ; |374| 

RL26:      ; CALL OCCURS                     ; |374| 
	.line	33
           MVK     .S1     (_E_value-$bss),A0 ; |377| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(12),B1       ; |377| 
           LDW     .D2T2   *+B4(20),B9       ; |377| 
           LDW     .D2T2   *+B4(8),B2        ; |377| 
           LDW     .D2T2   *+B4(16),B0       ; |377| 
           LDW     .D2T2   *+B4(24),B8       ; |377| 
           LDW     .D2T2   *+B4(32),B6       ; |377| 
           LDW     .D2T2   *+B4(4),B10       ; |377| 
           LDW     .D2T2   *+B4(28),B7       ; |377| 
           LDW     .D2T2   *+DP(_E_value),B5 ; |377| 
           LDW     .D2T2   *+B4(36),B4       ; |377| 
           NOP             3

           STW     .D2T2   B5,*+SP(8)        ; |377| 
||         MVKL    .S1     SL6+0,A10         ; |377| 

           STW     .D2T2   B4,*+SP(44)       ; |377| 
||         MVKH    .S1     SL6+0,A10         ; |377| 

           STW     .D2T1   A10,*+SP(4)       ; |377| 
           STW     .D2T2   B1,*+SP(20)       ; |377| 
           STW     .D2T2   B9,*+SP(28)       ; |377| 

           B       .S1     _printf           ; |377| 
||         STW     .D2T2   B2,*+SP(16)       ; |377| 

           STW     .D2T2   B0,*+SP(24)       ; |377| 
           STW     .D2T2   B8,*+SP(32)       ; |377| 
           STW     .D2T2   B6,*+SP(40)       ; |377| 

           STW     .D2T2   B10,*+SP(12)      ; |377| 
||         MVKL    .S2     RL28,B3           ; |377| 

           STW     .D2T2   B7,*+SP(36)       ; |377| 
||         MVKH    .S2     RL28,B3           ; |377| 

RL28:      ; CALL OCCURS                     ; |377| 
	.line	36
           MVK     .S1     (_F_value-$bss),A0 ; |380| 
           ADD     .L1X    DP,A0,A0          ; 
           LDW     .D2T2   *+DP(_F_value),B4 ; |380| 
           NOP             3
           LDW     .D1T1   *+A0(12),A3       ; |380| 

           LDW     .D1T1   *+A0(8),A4        ; |380| 
||         STW     .D2T2   B4,*+SP(8)        ; |380| 

           LDW     .D1T2   *+A0(16),B4       ; |380| 

           LDW     .D1T1   *+A0(4),A5        ; |380| 
||         MVKL    .S1     SL7+0,A13         ; |380| 

           LDW     .D1T2   *+A0(24),B8       ; |380| 
||         MVKH    .S1     SL7+0,A13         ; |380| 

           LDW     .D1T2   *+A0(28),B7       ; |380| 
||         STW     .D2T1   A13,*+SP(4)       ; |380| 

           STW     .D2T1   A3,*+SP(20)       ; |380| 
||         LDW     .D1T2   *+A0(32),B6       ; |380| 

           LDW     .D1T2   *+A0(36),B5       ; |380| 
||         STW     .D2T1   A4,*+SP(16)       ; |380| 

           STW     .D2T1   A5,*+SP(12)       ; |380| 
||         LDW     .D1T2   *+A0(20),B9       ; |380| 

;** --------------------------------------------------------------------------*

           B       .S1     _printf           ; |380| 
||         STW     .D2T2   B8,*+SP(32)       ; |380| 

           STW     .D2T2   B7,*+SP(36)       ; |380| 
           STW     .D2T2   B6,*+SP(40)       ; |380| 
           STW     .D2T2   B5,*+SP(44)       ; |380| 

           STW     .D2T2   B4,*+SP(24)       ; |380| 
||         MVKL    .S2     RL30,B3           ; |380| 

           MVKH    .S2     RL30,B3           ; |380| 
||         STW     .D2T2   B9,*+SP(28)       ; |380| 

RL30:      ; CALL OCCURS                     ; |380| 
	.line	39
           MVK     .S1     (_G_value-$bss),A0 ; |383| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+DP(_G_value),B13 ; |383| 
           LDW     .D2T2   *+B4(20),B2       ; |383| 
           LDW     .D2T2   *+B4(24),B1       ; |383| 
           LDW     .D2T2   *+B4(28),B0       ; |383| 
           LDW     .D2T2   *+B4(4),B5        ; |383| 
           LDW     .D2T2   *+B4(8),B6        ; |383| 
           LDW     .D2T2   *+B4(12),B7       ; |383| 

           LDW     .D2T2   *+B4(16),B8       ; |383| 
||         MVKL    .S2     SL8+0,B12         ; |383| 

           LDW     .D2T2   *+B4(32),B9       ; |383| 
||         MVKH    .S2     SL8+0,B12         ; |383| 

           STW     .D2T2   B12,*+SP(4)       ; |383| 
           STW     .D2T2   B13,*+SP(8)       ; |383| 
           STW     .D2T2   B2,*+SP(28)       ; |383| 
           STW     .D2T2   B1,*+SP(32)       ; |383| 
           STW     .D2T2   B0,*+SP(36)       ; |383| 
           STW     .D2T2   B5,*+SP(12)       ; |383| 

           B       .S1     _printf           ; |383| 
||         LDW     .D2T2   *+B4(36),B4       ; |383| 

           STW     .D2T2   B6,*+SP(16)       ; |383| 
           STW     .D2T2   B7,*+SP(20)       ; |383| 
           STW     .D2T2   B8,*+SP(24)       ; |383| 

           STW     .D2T2   B9,*+SP(40)       ; |383| 
||         MVKL    .S2     RL32,B3           ; |383| 

           STW     .D2T2   B4,*+SP(44)       ; |383| 
||         MVKH    .S2     RL32,B3           ; |383| 

RL32:      ; CALL OCCURS                     ; |383| 
	.line	42
           MVK     .S1     (_H_value-$bss),A0 ; |386| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(12),B12      ; |386| 
           LDW     .D2T2   *+B4(4),B0        ; |386| 
           NOP             3
           STW     .D2T2   B12,*+SP(20)      ; |386| 
           STW     .D2T2   B0,*+SP(12)       ; |386| 
           LDW     .D2T2   *+B4(8),B1        ; |386| 
           LDW     .D2T2   *+B4(20),B2       ; |386| 
           LDW     .D2T2   *+B4(24),B7       ; |386| 
           LDW     .D2T2   *+B4(16),B9       ; |386| 
           LDW     .D2T2   *+B4(28),B5       ; |386| 
           LDW     .D2T2   *+B4(32),B6       ; |386| 
           STW     .D2T2   B1,*+SP(16)       ; |386| 
           STW     .D2T2   B2,*+SP(28)       ; |386| 
           STW     .D2T2   B7,*+SP(32)       ; |386| 
           LDW     .D2T2   *+B4(36),B4       ; |386| 
           LDW     .D2T2   *+DP(_H_value),B8 ; |386| 

           B       .S1     _printf           ; |386| 
||         STW     .D2T2   B9,*+SP(24)       ; |386| 

           STW     .D2T2   B5,*+SP(36)       ; |386| 

           STW     .D2T2   B6,*+SP(40)       ; |386| 
||         MV      .L1X    B11,A0            ; |386| 

           STW     .D2T2   B4,*+SP(44)       ; |386| 
||         MVKL    .S1     SL9+0,A0          ; |386| 

           STW     .D2T2   B8,*+SP(8)        ; |386| 
||         MVKL    .S2     RL34,B3           ; |386| 
||         MVKH    .S1     SL9+0,A0          ; |386| 

           STW     .D2T1   A0,*+SP(4)        ; |386| 
||         MVKH    .S2     RL34,B3           ; |386| 

RL34:      ; CALL OCCURS                     ; |386| 
	.line	45
           MVK     .S1     (_I_value-$bss),A0 ; |389| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(24),B8       ; |389| 
           LDW     .D2T2   *+B4(32),B11      ; |389| 
           LDW     .D2T2   *+B4(16),B0       ; |389| 
           LDW     .D2T2   *+B4(20),B2       ; |389| 
           LDW     .D2T2   *+B4(4),B7        ; |389| 
           LDW     .D2T2   *+B4(8),B5        ; |389| 
           LDW     .D2T2   *+B4(12),B6       ; |389| 
           LDW     .D2T2   *+B4(28),B9       ; |389| 
           LDW     .D2T2   *+B4(36),B4       ; |389| 
           NOP             3
           MVKL    .S2     SL10+0,B10        ; |389| 

           STW     .D2T2   B4,*+SP(44)       ; |389| 
||         MVKH    .S2     SL10+0,B10        ; |389| 

           STW     .D2T2   B10,*+SP(4)       ; |389| 
           STW     .D2T2   B11,*+SP(40)      ; |389| 
           LDW     .D2T2   *+DP(_I_value),B1 ; |389| 
           STW     .D2T2   B0,*+SP(24)       ; |389| 
           STW     .D2T2   B2,*+SP(28)       ; |389| 

           B       .S1     _printf           ; |389| 
||         STW     .D2T2   B7,*+SP(12)       ; |389| 

           STW     .D2T2   B5,*+SP(16)       ; |389| 
           STW     .D2T2   B6,*+SP(20)       ; |389| 
           STW     .D2T2   B9,*+SP(36)       ; |389| 

           STW     .D2T2   B8,*+SP(32)       ; |389| 
||         MVKL    .S2     RL36,B3           ; |389| 

           STW     .D2T2   B1,*+SP(8)        ; |389| 
||         MVKH    .S2     RL36,B3           ; |389| 

RL36:      ; CALL OCCURS                     ; |389| 
	.line	48
           MVK     .S1     (_J_value-$bss),A0 ; |392| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(4),B10       ; |392| 
           LDW     .D2T2   *+B4(16),B0       ; |392| 
           LDW     .D2T2   *+B4(32),B2       ; |392| 
           LDW     .D2T2   *+B4(12),B5       ; |392| 
           LDW     .D2T2   *+B4(20),B9       ; |392| 
           LDW     .D2T2   *+B4(28),B7       ; |392| 
           LDW     .D2T2   *+B4(24),B8       ; |392| 
           LDW     .D2T2   *+B4(8),B1        ; |392| 
           LDW     .D2T2   *+DP(_J_value),B6 ; |392| 
           LDW     .D2T2   *+B4(36),B4       ; |392| 
           MVKL    .S1     SL11+0,A12        ; |392| 
           MVKH    .S1     SL11+0,A12        ; |392| 
           STW     .D2T1   A12,*+SP(4)       ; |392| 
           STW     .D2T2   B6,*+SP(8)        ; |392| 
           STW     .D2T2   B4,*+SP(44)       ; |392| 
           STW     .D2T2   B0,*+SP(24)       ; |392| 
           STW     .D2T2   B2,*+SP(40)       ; |392| 

           B       .S1     _printf           ; |392| 
||         STW     .D2T2   B5,*+SP(20)       ; |392| 

           STW     .D2T2   B9,*+SP(28)       ; |392| 
           STW     .D2T2   B7,*+SP(36)       ; |392| 
           STW     .D2T2   B8,*+SP(32)       ; |392| 

           STW     .D2T2   B1,*+SP(16)       ; |392| 
||         MVKL    .S2     RL38,B3           ; |392| 

           STW     .D2T2   B10,*+SP(12)      ; |392| 
||         MVKH    .S2     RL38,B3           ; |392| 

RL38:      ; CALL OCCURS                     ; |392| 
	.line	51
           MVK     .S1     (_K_value-$bss),A0 ; |395| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(32),B10      ; |395| 
           NOP             1
           LDW     .D2T2   *+DP(_K_value),B1 ; |395| 
           NOP             2
           STW     .D2T2   B10,*+SP(40)      ; |395| 
           LDW     .D2T2   *+B4(4),B6        ; |395| 
           STW     .D2T2   B1,*+SP(8)        ; |395| 
           LDW     .D2T2   *+B4(20),B0       ; |395| 
           LDW     .D2T2   *+B4(24),B2       ; |395| 
           LDW     .D2T2   *+B4(8),B7        ; |395| 
           LDW     .D2T2   *+B4(16),B9       ; |395| 
           LDW     .D2T2   *+B4(28),B5       ; |395| 
           STW     .D2T2   B6,*+SP(12)       ; |395| 
           LDW     .D2T2   *+B4(12),B8       ; |395| 
           STW     .D2T2   B0,*+SP(28)       ; |395| 
           STW     .D2T2   B2,*+SP(32)       ; |395| 
           STW     .D2T2   B7,*+SP(16)       ; |395| 

           B       .S1     _printf           ; |395| 
||         LDW     .D2T2   *+B4(36),B4       ; |395| 

           STW     .D2T2   B9,*+SP(24)       ; |395| 
||         MVKL    .S1     SL12+0,A11        ; |395| 

           STW     .D2T2   B5,*+SP(36)       ; |395| 
||         MVKH    .S1     SL12+0,A11        ; |395| 

           STW     .D2T1   A11,*+SP(4)       ; |395| 

           STW     .D2T2   B8,*+SP(20)       ; |395| 
||         MVKL    .S2     RL40,B3           ; |395| 

           STW     .D2T2   B4,*+SP(44)       ; |395| 
||         MVKH    .S2     RL40,B3           ; |395| 

RL40:      ; CALL OCCURS                     ; |395| 
	.line	54
           MVK     .S1     (_L_value-$bss),A0 ; |398| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(4),B10       ; |398| 
           LDW     .D2T2   *+B4(12),B1       ; |398| 
           LDW     .D2T2   *+B4(32),B6       ; |398| 
           LDW     .D2T2   *+B4(8),B2        ; |398| 
           LDW     .D2T2   *+B4(16),B0       ; |398| 
           LDW     .D2T2   *+B4(20),B9       ; |398| 
           LDW     .D2T2   *+B4(28),B7       ; |398| 
           LDW     .D2T2   *+B4(24),B8       ; |398| 
           LDW     .D2T2   *+B4(36),B4       ; |398| 
           NOP             3
           STW     .D2T2   B6,*+SP(40)       ; |398| 
           STW     .D2T2   B4,*+SP(44)       ; |398| 
           STW     .D2T2   B2,*+SP(16)       ; |398| 
           LDW     .D2T2   *+DP(_L_value),B5 ; |398| 
           STW     .D2T2   B0,*+SP(24)       ; |398| 
           STW     .D2T2   B7,*+SP(36)       ; |398| 

           B       .S1     _printf           ; |398| 
||         STW     .D2T2   B9,*+SP(28)       ; |398| 

           STW     .D2T2   B8,*+SP(32)       ; |398| 
||         MVKL    .S1     SL13+0,A13        ; |398| 

           STW     .D2T2   B5,*+SP(8)        ; |398| 
||         MVKH    .S1     SL13+0,A13        ; |398| 

           STW     .D2T1   A13,*+SP(4)       ; |398| 

           STW     .D2T2   B10,*+SP(12)      ; |398| 
||         MVKL    .S2     RL42,B3           ; |398| 

           STW     .D2T2   B1,*+SP(20)       ; |398| 
||         MVKH    .S2     RL42,B3           ; |398| 

RL42:      ; CALL OCCURS                     ; |398| 
	.line	57
           MVK     .S1     (_M_value-$bss),A0 ; |401| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(16),B8       ; |401| 
           LDW     .D2T2   *+B4(28),B5       ; |401| 
           LDW     .D2T2   *+B4(8),B1        ; |401| 
           LDW     .D2T2   *+B4(32),B10      ; |401| 
           LDW     .D2T2   *+B4(24),B6       ; |401| 
           LDW     .D2T2   *+B4(4),B2        ; |401| 
           LDW     .D2T2   *+B4(12),B9       ; |401| 
           LDW     .D2T2   *+B4(20),B7       ; |401| 
           LDW     .D2T2   *+B4(36),B4       ; |401| 
           NOP             4
           STW     .D2T2   B4,*+SP(44)       ; |401| 
           STW     .D2T2   B1,*+SP(16)       ; |401| 
           STW     .D2T2   B10,*+SP(40)      ; |401| 
           LDW     .D2T2   *+DP(_M_value),B0 ; |401| 
           STW     .D2T2   B6,*+SP(32)       ; |401| 
           STW     .D2T2   B2,*+SP(12)       ; |401| 

           B       .S1     _printf           ; |401| 
||         STW     .D2T2   B9,*+SP(20)       ; |401| 

           STW     .D2T2   B7,*+SP(28)       ; |401| 
||         MVKL    .S1     SL14+0,A14        ; |401| 

           STW     .D2T2   B0,*+SP(8)        ; |401| 
||         MVKH    .S1     SL14+0,A14        ; |401| 

           STW     .D2T1   A14,*+SP(4)       ; |401| 

           STW     .D2T2   B8,*+SP(24)       ; |401| 
||         MVKL    .S2     RL44,B3           ; |401| 

           STW     .D2T2   B5,*+SP(36)       ; |401| 
||         MVKH    .S2     RL44,B3           ; |401| 

RL44:      ; CALL OCCURS                     ; |401| 
	.line	60
           MVK     .S1     (_N_value-$bss),A0 ; |404| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(24),B1       ; |404| 
           LDW     .D2T2   *+B4(36),B6       ; |404| 
           LDW     .D2T2   *+B4(28),B2       ; |404| 
           LDW     .D2T2   *+B4(8),B7        ; |404| 
           LDW     .D2T2   *+B4(12),B8       ; |404| 
           LDW     .D2T2   *+DP(_N_value),B5 ; |404| 
           LDW     .D2T2   *+B4(16),B9       ; |404| 
           LDW     .D2T2   *+B4(32),B10      ; |404| 
           LDW     .D2T2   *+B4(20),B0       ; |404| 
           STW     .D2T2   B8,*+SP(20)       ; |404| 
           STW     .D2T2   B5,*+SP(8)        ; |404| 
           LDW     .D2T2   *+B4(4),B4        ; |404| 

           STW     .D2T2   B10,*+SP(40)      ; |404| 
||         MVKL    .S1     SL15+0,A15        ; |404| 

           STW     .D2T2   B1,*+SP(32)       ; |404| 
||         MVKH    .S1     SL15+0,A15        ; |404| 

           STW     .D2T1   A15,*+SP(4)       ; |404| 

           B       .S1     _printf           ; |404| 
||         STW     .D2T2   B6,*+SP(44)       ; |404| 

           STW     .D2T2   B2,*+SP(36)       ; |404| 
           STW     .D2T2   B7,*+SP(16)       ; |404| 
           STW     .D2T2   B9,*+SP(24)       ; |404| 

           STW     .D2T2   B0,*+SP(28)       ; |404| 
||         MVKL    .S2     RL46,B3           ; |404| 

           STW     .D2T2   B4,*+SP(12)       ; |404| 
||         MVKH    .S2     RL46,B3           ; |404| 

RL46:      ; CALL OCCURS                     ; |404| 
	.line	63
           MVK     .S1     (_O_value-$bss),A0 ; |407| 
           ADD     .L1X    DP,A0,A0          ; 
           LDW     .D1T2   *+A0(16),B6       ; |407| 
           LDW     .D1T1   *+A0(20),A6       ; |407| 
           LDW     .D1T1   *+A0(24),A5       ; |407| 
           LDW     .D1T2   *+A0(8),B4        ; |407| 
           LDW     .D1T1   *+A0(28),A3       ; |407| 
           LDW     .D1T1   *+A0(32),A4       ; |407| 

           LDW     .D1T2   *+A0(4),B8        ; |407| 
||         STW     .D2T1   A6,*+SP(28)       ; |407| 

           STW     .D2T1   A5,*+SP(32)       ; |407| 
||         LDW     .D1T2   *+A0(12),B5       ; |407| 

           LDW     .D2T2   *+DP(_O_value),B7 ; |407| 
||         LDW     .D1T1   *+A0(36),A0       ; |407| 

           STW     .D2T1   A3,*+SP(36)       ; |407| 
           STW     .D2T1   A4,*+SP(40)       ; |407| 
           STW     .D2T2   B8,*+SP(12)       ; |407| 

           B       .S1     _printf           ; |407| 
||         STW     .D2T2   B5,*+SP(20)       ; |407| 

           STW     .D2T2   B7,*+SP(8)        ; |407| 

           STW     .D2T1   A0,*+SP(44)       ; |407| 
||         MVKL    .S1     SL16+0,A10        ; |407| 

           STW     .D2T2   B6,*+SP(24)       ; |407| 
||         MVKH    .S1     SL16+0,A10        ; |407| 

           STW     .D2T1   A10,*+SP(4)       ; |407| 
||         MVKL    .S2     RL48,B3           ; |407| 

           STW     .D2T2   B4,*+SP(16)       ; |407| 
||         MVKH    .S2     RL48,B3           ; |407| 

RL48:      ; CALL OCCURS                     ; |407| 
	.line	66
           MVK     .S1     (_P_value-$bss),A0 ; |410| 
           ADD     .L2X    DP,A0,B4          ; 
           LDW     .D2T2   *+B4(12),B8       ; |410| 
           LDW     .D2T2   *+B4(8),B7        ; |410| 
           LDW     .D2T2   *+B4(20),B2       ; |410| 
           LDW     .D2T2   *+B4(24),B9       ; |410| 
           LDW     .D2T2   *+B4(4),B6        ; |410| 
           LDW     .D2T2   *+B4(16),B0       ; |410| 
;** --------------------------------------------------------------------------*
           LDW     .D2T2   *+B4(28),B5       ; |410| 
           LDW     .D2T2   *+B4(32),B1       ; |410| 
           LDW     .D2T2   *+DP(_P_value),B10 ; |410| 
           STW     .D2T2   B6,*+SP(12)       ; |410| 
           STW     .D2T2   B7,*+SP(16)       ; |410| 
           STW     .D2T2   B8,*+SP(20)       ; |410| 
           STW     .D2T2   B0,*+SP(24)       ; |410| 
           STW     .D2T2   B2,*+SP(28)       ; |410| 

           STW     .D2T2   B9,*+SP(32)       ; |410| 
||         MVKL    .S1     SL17+0,A0         ; |410| 

           B       .S2     _printf           ; |410| 
||         LDW     .D2T2   *+B4(36),B4       ; |410| 
||         MVKH    .S1     SL17+0,A0         ; |410| 

           STW     .D2T1   A0,*+SP(4)        ; |410| 
           STW     .D2T2   B10,*+SP(8)       ; |410| 
           STW     .D2T2   B5,*+SP(36)       ; |410| 

           STW     .D2T2   B1,*+SP(40)       ; |410| 
||         MVKL    .S2     RL50,B3           ; |410| 

           STW     .D2T2   B4,*+SP(44)       ; |410| 
||         MVKH    .S2     RL50,B3           ; |410| 

RL50:      ; CALL OCCURS                     ; |410| 
	.line	70

           ZERO    .L2     B10               ; |414| 
||         MVK     .S2     32,B11            ; |433| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: invalid use of trip counter
;*----------------------------------------------------------------------------*
L18:    
	.line	71
           LDW     .D2T2   *+DP(_save_data),B4 ; |415| 
           NOP             3
           SHL     .S2     B10,4,B5          ; |415| 
           ADD     .L2     B4,B5,B5          ; |415| 
           SHL     .S2     B10,3,B6          ; |415| 
           STW     .D2T2   B6,*+SP(8)        ; |415| 
           LDHU    .D2T1   *+B4[B6],A7       ; 

           LDHU    .D2T1   *+B5(2),A5        ; 
||         MVKL    .S1     SL18+0,A10        ; |415| 

           LDHU    .D2T2   *+B5(4),B12       ; |415| 
||         MVKH    .S1     SL18+0,A10        ; |415| 

           STW     .D2T1   A10,*+SP(4)       ; |415| 
           LDHU    .D2T2   *+B5(6),B0        ; |415| 
           LDHU    .D2T2   *+B5(8),B9        ; |415| 
           LDHU    .D2T2   *+B5(16),B8       ; |415| 
           LDHU    .D2T2   *+B5(18),B7       ; |415| 
           LDHU    .D2T1   *+B5(10),A3       ; 

           LDHU    .D2T2   *+B5(20),B1       ; |415| 
||         MV      .L2X    A7,B6             ; |415| 

           STW     .D2T2   B6,*+SP(12)       ; |415| 
           LDHU    .D2T2   *+B5(22),B2       ; |415| 
           LDHU    .D2T2   *+B5(24),B13      ; |415| 
           LDHU    .D2T1   *+B5(14),A0       ; 
           LDHU    .D2T1   *+B5(26),A6       ; 
           LDHU    .D2T1   *+B5(12),A4       ; 

           STW     .D2T2   B12,*+SP(20)      ; |415| 
||         MV      .L2X    A5,B6             ; |415| 

           STW     .D2T2   B6,*+SP(16)       ; |415| 
           LDHU    .D2T2   *+B5(28),B4       ; |415| 
           STW     .D2T2   B0,*+SP(24)       ; |415| 
           STW     .D2T2   B9,*+SP(28)       ; |415| 
           STW     .D2T2   B8,*+SP(44)       ; |415| 
           STW     .D2T2   B7,*+SP(48)       ; |415| 

           STW     .D2T2   B1,*+SP(52)       ; |415| 
||         MV      .L2X    A3,B6             ; |415| 

           STW     .D2T2   B6,*+SP(32)       ; |415| 
           STW     .D2T2   B2,*+SP(56)       ; |415| 
           STW     .D2T2   B13,*+SP(60)      ; |415| 

           B       .S1     _printf           ; |415| 
||         LDHU    .D2T2   *+B5(30),B5       ; |415| 
||         MV      .L2X    A4,B6             ; |415| 

           STW     .D2T2   B6,*+SP(36)       ; |415| 

           STW     .D2T2   B4,*+SP(68)       ; |415| 
||         MV      .L2X    A0,B6             ; |415| 

           MV      .L2X    A6,B6             ; |415| 
||         STW     .D2T2   B6,*+SP(40)       ; |415| 

           STW     .D2T2   B6,*+SP(64)       ; |415| 
||         MVKL    .S2     RL52,B3           ; |415| 

           STW     .D2T2   B5,*+SP(72)       ; |415| 
||         MVKH    .S2     RL52,B3           ; |415| 

RL52:      ; CALL OCCURS                     ; |415| 
	.line	89
           ADD     .L2     2,B10,B10         ; |433| 
           CMPLT   .L2     B10,B11,B0        ; |433| 
   [ B0]   B       .S1     L18               ; |433| 
           NOP             5
           ; BRANCH OCCURS                   ; |433| 
;** --------------------------------------------------------------------------*
	.line	91
           B       .S1     _blink_leds       ; |435| 
           NOP             3
           MVKL    .S2     RL54,B3           ; |435| 

           MVKH    .S2     RL54,B3           ; |435| 
||         MVK     .S1     0x3,A4            ; |435| 

RL54:      ; CALL OCCURS                     ; |435| 
           MVK     .S2     0xffffffff,B11    ; |344| 
	.line	93
           MVK     .S1     0x1b,A10          ; |437| 
	.line	92
           MVK     .S2     0x1,B10           ; |436| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: loop contains a call
;*----------------------------------------------------------------------------*
L19:    
	.line	94
           LDW     .D2T2   *+DP(_fpga_io_reg),B4 ; |438| 
           NOP             3
           XOR     .L2     B11,B10,B5        ; |438| 
           AND     .L2     B4,B5,B4          ; |438| 
	.line	96
           SHL     .S2     B10,1,B10         ; |440| 
           OR      .L2     B10,B4,B4         ; |440| 
           STW     .D2T2   B4,*+DP(_fpga_io_reg) ; |440| 
	.line	97
           ZERO    .L1     A0                ; |441| 
           MVKH    .S1     0x1500000,A0      ; |441| 
           STW     .D1T2   B4,*A0            ; |441| 
	.line	98
           B       .S1     _blink_leds       ; |442| 
           NOP             3
           MVKL    .S2     RL56,B3           ; |442| 

           MVKH    .S2     RL56,B3           ; |442| 
||         MVK     .S1     0x1,A4            ; |442| 

RL56:      ; CALL OCCURS                     ; |442| 
	.line	99
           SUB     .L1     A10,1,A1          ; 
   [ A1]   B       .S1     L19               ; |443| 
           NOP             4
           SUB     .L1     A10,1,A10         ; 
           ; BRANCH OCCURS                   ; |443| 
;** --------------------------------------------------------------------------*
	.line	103
           LDW     .D2T2   *+SP(272),B3      ; |447| 
           LDW     .D2T2   *+SP(284),B12     ; |447| 
           LDW     .D2T2   *+SP(280),B11     ; |447| 
           LDW     .D2T2   *+SP(276),B10     ; |447| 
           LDW     .D2T1   *+SP(268),A15     ; |447| 
           LDW     .D2T1   *+SP(264),A14     ; |447| 
           LDW     .D2T1   *+SP(260),A13     ; |447| 
           LDW     .D2T1   *+SP(256),A12     ; |447| 
           LDW     .D2T1   *+SP(252),A11     ; |447| 

           B       .S2     B3                ; |447| 
||         LDW     .D2T2   *+SP(288),B13     ; |447| 

           LDW     .D2T1   *+SP(248),A10     ; |447| 
           NOP             3
           ADDK    .S2     288,SP            ; |447| 
           ; BRANCH OCCURS                   ; |447| 
	.endfunc	447,03c08fc00h,288


;******************************************************************************
;* MARK THE END OF THE SCALAR INIT RECORD IN CINIT:C                          *
;******************************************************************************
CIR:	.sect	".cinit:c"
;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Block Addresses %08x(%2d) %08x(%2d) %08x(%2d) %08x(%2d) %08"
	.string	"x(%2d)",10,"                %08x(%2d) %08x(%2d) %08x(%2d) %"
	.string	"08x(%2d) %08x(%2d)",10,"                %08x(%2d) %08x(%2d)"
	.string	" %08x(%2d) %08x(%2d) %08x(%2d)",10,"                %08x(%2"
	.string	"d) %08x(%2d) %08x(%2d) %08x(%2d) %08x(%2d)",10,0
SL2:	.string	"A= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL3:	.string	"B= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL4:	.string	"C= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL5:	.string	"D= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL6:	.string	"E= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL7:	.string	"F= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL8:	.string	"G= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL9:	.string	"H= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL10:	.string	"I= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL11:	.string	"J= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL12:	.string	"K= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL13:	.string	"L= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL14:	.string	"M= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL15:	.string	"N= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL16:	.string	"O= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL17:	.string	"P= %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x",10,0
SL18:	.string	"[%3d] %03x %03x %03x %03x %03x %03x %03x %03x %03x %03x %03"
	.string	"x %03x %03x %03x %03x %03x",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_printf
	.global	_evm_led_enable
	.global	_evm_led_disable
	.global	_delay_msec
