;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 3.01 *
;* Date/Time created: Tue Nov 21 12:52:57 2000                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture        : TMS320C6200                                        *
;*   Endian              : Little                                             *
;*   Interrupt Threshold : Disabled                                           *
;*   Memory Model        : Small                                              *
;*   Calls to RTS        : Near                                               *
;*   Pipelining          : Enabled                                            *
;*   Speculative Load    : Threshold = 0                                      *
;*   Epilog Collapsing   : Enabled                                            *
;*   Prolog Collapsing   : Enabled                                            *
;*   Redundant Loops     : Enabled                                            *
;*   Code Size Opt.      : Disabled                                           *
;*   Memory Aliases      : Presume are aliases (pessimistic)                  *
;*   Debug Info          : Debug                                              *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -O3 C:\TEMP\tempTI2 C:\TEMP\tempTI7 
	.file	"Aed_main.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"appl_hdr.h"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.sym	_size_t, 0, 14, 13, 32
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"c:\evm6x\dsp\include\board.h"
	.file	"c:\evm6x\dsp\include\intr.h"
	.file	"dma_ex.h"
	.file	"appl_hdr.h"
	.utag	_T0, 32
	.member	_word, 0, 20, 11, 32
	.member	_uword, 0, 30, 11, 32
	.member	_hword, 0, 19, 11, 32
	.member	_uhword, 0, 29, 11, 32
	.member	_byte, 0, 18, 11, 32
	.member	_ubyte, 0, 28, 11, 32
	.eos
	.sym	_ApplBlockType, 0, 9, 13, 32,_T0
	.file	"Aed_main.c"
	.file	"c:\evm6x\dsp\include\regs.h"
	.file	"Aed_main.c"
	.global	_dual_data_buffer
	.bss	_dual_data_buffer,4,4
	.sym	_dual_data_buffer,_dual_data_buffer, 9, 2, 32, _T0
	.bss	_buf_count,4,4
	.sym	_buf_count,_buf_count, 4, 3, 32
	.bss	_read_err,4,4
	.sym	_read_err,_read_err, 4, 3, 32
	.bss	_bufs_proc,4,4
	.sym	_bufs_proc,_bufs_proc, 4, 3, 32
	.bss	_prev_buf_count,4,4
	.sym	_prev_buf_count,_prev_buf_count, 4, 3, 32
	.bss	_blocks,4,4
	.sym	_blocks,_blocks, 14, 3, 32
	.bss	_records,4,4
	.sym	_records,_records, 14, 3, 32
	.bss	_reclen,4,4
	.sym	_reclen,_reclen, 14, 3, 32
	.bss	_size,4,4
	.sym	_size,_size, 14, 3, 32
	.bss	_mode,4,4
	.sym	_mode,_mode, 14, 3, 32
	.bss	_block_bytes,4,4
	.sym	_block_bytes,_block_bytes, 14, 3, 32

	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_Bytes_Size+0,32
	.field  	0x4,32			; _Bytes_Size[0] @ 0
	.field  	0x2,32			; _Bytes_Size[1] @ 32
	.field  	0x1,32			; _Bytes_Size[2] @ 64
IR_1:	.set	12

	.sect	".text"
	.global	_Bytes_Size
	.bss	_Bytes_Size,12,4
	.sym	_Bytes_Size,_Bytes_Size, 52, 2, 96,, 3
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	68

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,SP                            *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,DP,SP                         *
;*   Local Frame Size  : 16 Args + 4 Auto + 16 Save = 36 byte                 *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.sym	C$1,16, 4, 4, 32
	.sym	Y$0,1, 18, 4, 32
	.sym	_times,26, 14, 4, 32
	.sym	_fpga_err,11, 4, 4, 32
	.sym	_appl_err,10, 4, 4, 32
	.sym	U$10,0, 4, 4, 32
	.sym	K$53,0, 4, 4, 32
	.sym	U$31,26, 14, 4, 32
	.sym	_addr,20, 9, 1, 32, _T0
           STW     .D2T2   B10,*SP--(40)     ; |68| 
           STW     .D2T1   A10,*+SP(28)      ; |68| 
           STW     .D2T1   A11,*+SP(32)      ; |68| 
           STW     .D2T2   B3,*+SP(36)       ; |68| 
	.line	7
           B       .S1     _evm_init         ; |74| 
           NOP             3
           MVKL    .S2     RL0,B3            ; |74| 
           MVKH    .S2     RL0,B3            ; |74| 
RL0:       ; CALL OCCURS                     ; |74| 
           MV      .L1     A4,A1             ; |74| 
   [!A1]   B       .S1     L1                ; |74| 
           NOP             5
           ; BRANCH OCCURS                   ; |74| 
;** --------------------------------------------------------------------------*
	.line	9
           B       .S1     _evm_led_enable   ; |76| 
           NOP             3
           MVKL    .S2     RL2,B3            ; |76| 

           MVKH    .S2     RL2,B3            ; |76| 
||         ZERO    .L1     A4                ; |76| 

RL2:       ; CALL OCCURS                     ; |76| 
	.line	10
           B       .S1     L11               ; |77| 
           NOP             4
           MVK     .S1     0xffffffff,A4     ; |77| 
           ; BRANCH OCCURS                   ; |77| 
;** --------------------------------------------------------------------------*
L1:    
	.line	12
           B       .S1     _evm_led_disable  ; |79| 
           NOP             3
           MVKL    .S2     RL4,B3            ; |79| 

           MVKH    .S2     RL4,B3            ; |79| 
||         ZERO    .L1     A4                ; |79| 

RL4:       ; CALL OCCURS                     ; |79| 
	.line	13
           B       .S1     _evm_led_disable  ; |80| 
           NOP             3
           MVKL    .S2     RL6,B3            ; |80| 

           MVKH    .S2     RL6,B3            ; |80| 
||         MVK     .S1     0x1,A4            ; |80| 

RL6:       ; CALL OCCURS                     ; |80| 
	.line	16
           B       .S1     _printf           ; |83| 
           NOP             2
           MVKL    .S1     SL1+0,A10         ; |83| 

           MVKL    .S2     RL8,B3            ; |83| 
||         MVKH    .S1     SL1+0,A10         ; |83| 

           STW     .D2T1   A10,*+SP(4)       ; |83| 
||         MVKH    .S2     RL8,B3            ; |83| 

RL8:       ; CALL OCCURS                     ; |83| 
	.line	18
           B       .S1     _evm_codec_disable ; |85| 
           NOP             3
           MVKL    .S2     RL10,B3           ; |85| 
           MVKH    .S2     RL10,B3           ; |85| 
RL10:      ; CALL OCCURS                     ; |85| 
	.line	19
           B       .S1     _intr_hook        ; |86| 
           NOP             2
           MVK     .S2     0x8,B4            ; |86| 

           MVKL    .S2     RL12,B3           ; |86| 
||         MVKL    .S1     _dma_interrupt,A4 ; |86| 

           MVKH    .S2     RL12,B3           ; |86| 
||         MVKH    .S1     _dma_interrupt,A4 ; |86| 

RL12:      ; CALL OCCURS                     ; |86| 
	.line	20
           MVC     .S2     IER,B4            ; |87| 
           SET     .S2     B4,8,8,B4         ; |87| 
           MVC     .S2     B4,IER            ; |87| 
	.line	21
           MVK     .S1     256,A0            ; |88| 
           MVC     .S2X    A0,ICR            ; |88| 
	.line	22
           MVC     .S2     CSR,B4            ; |89| 
           OR      .L2     1,B4,B4           ; |89| 
           MVC     .S2     B4,CSR            ; |89| 
	.line	27
           ZERO    .L2     B4                ; |94| 
           STW     .D2T2   B4,*+DP(_read_err) ; |94| 
	.line	28
           ZERO    .L1     A0                ; |95| 
           STW     .D2T1   A0,*+DP(_buf_count) ; |95| 
	.line	29
           STW     .D2T2   B4,*+DP(_prev_buf_count) ; |96| 
	.line	30
           STW     .D2T2   B4,*+DP(_bufs_proc) ; |97| 
	.line	31
           B       .S1     _appl_parms       ; |98| 
           NOP             1

           MVK     .S2     (_size-$bss),B4   ; |98| 
||         MVK     .S1     (_reclen-$bss),A0 ; |98| 

           MVKL    .S2     RL14,B3           ; |98| 
||         MVK     .S1     (_mode-$bss),A0   ; |98| 
||         ADD     .L1X    DP,A0,A6          ; 

           MVK     .S2     (_records-$bss),B5 ; |98| 
||         MVK     .S1     (_blocks-$bss),A0 ; |98| 
||         ADD     .L1X    DP,A0,A8          ; 
||         ADD     .L2     DP,B4,B6          ; 

           MVKH    .S2     RL14,B3           ; |98| 
||         ADD     .L1X    DP,A0,A4          ; 
||         ADD     .L2     DP,B5,B4          ; 

RL14:      ; CALL OCCURS                     ; |98| 
	.line	32
           LDW     .D2T2   *+DP(_size),B5    ; |99| 
           LDW     .D2T2   *+DP(_reclen),B7  ; |99| 
           LDW     .D2T2   *+DP(_records),B8 ; |99| 
           NOP             2
           MVK     .S2     (_Bytes_Size-$bss),B4 ; |99| 
           ADD     .L2     DP,B4,B4          ; |99| 

           MPYLH   .M2     B7,B8,B5          ; |99| 
||         LDW     .D2T2   *+B4[B5],B4       ; |99| 

           MPYLH   .M2     B8,B7,B6          ; |99| 
           NOP             1

           MPYU    .M2     B7,B8,B6          ; |99| 
||         ADD     .L2     B5,B6,B5          ; |99| 

           SHL     .S2     B5,16,B5          ; |99| 
           ADD     .L2     B6,B5,B5          ; |99| 
           MPYLH   .M2     B4,B5,B7          ; |99| 
           MPYLH   .M2     B5,B4,B6          ; |99| 
           NOP             1

           ADD     .L2     B7,B6,B10         ; |99| 
||         MPYU    .M2     B4,B5,B4          ; |99| 

           SHL     .S2     B10,16,B10        ; |99| 
           ADD     .L2     B4,B10,B10        ; |99| 
           STW     .D2T2   B10,*+DP(_block_bytes) ; |99| 
	.line	33
           LDW     .D2T2   *+DP(_blocks),B4  ; |100| 
           NOP             4
           MPYLH   .M2     B10,B4,B5         ; |100| 
           B       .S1     _malloc           ; |100| 

           MPYLH   .M2     B4,B10,B5         ; |100| 
||         MV      .L1X    B5,A0             ; |100| 

           NOP             1

           MPYU    .M2     B10,B4,B4         ; |100| 
||         ADD     .L1X    A0,B5,A4          ; |100| 

           MVKL    .S2     RL16,B3           ; |100| 
||         SHL     .S1     A4,16,A4          ; |100| 

           MVKH    .S2     RL16,B3           ; |100| 
||         ADD     .L1X    B4,A4,A4          ; |100| 

RL16:      ; CALL OCCURS                     ; |100| 
           MV      .L1     A4,A1             ; 
           STW     .D2T1   A1,*+DP(_dual_data_buffer) ; |100| 
	.line	35
   [ A1]   B       .S1     L2                ; |102| 
           NOP             5
           ; BRANCH OCCURS                   ; |102| 
;** --------------------------------------------------------------------------*
	.line	37

           B       .S1     _printf           ; |104| 
||         LDW     .D2T2   *+DP(_blocks),B4  ; |104| 

           NOP             1
           MVKL    .S1     SL2+0,A0          ; |104| 

           STW     .D2T2   B10,*+SP(8)       ; |104| 
||         MVKH    .S1     SL2+0,A0          ; |104| 

           STW     .D2T1   A0,*+SP(4)        ; |104| 
||         MVKL    .S2     RL18,B3           ; |104| 

           STW     .D2T2   B4,*+SP(12)       ; |104| 
||         MVKH    .S2     RL18,B3           ; |104| 

RL18:      ; CALL OCCURS                     ; |104| 
	.line	40
           B       .S1     _evm_led_enable   ; |107| 
           NOP             3
           MVKL    .S2     RL20,B3           ; |107| 

           MVKH    .S2     RL20,B3           ; |107| 
||         ZERO    .L1     A4                ; |107| 

RL20:      ; CALL OCCURS                     ; |107| 
	.line	41
           B       .S1     _delay_msec       ; |108| 
           NOP             3
           MVKL    .S2     RL22,B3           ; |108| 

           MVKH    .S2     RL22,B3           ; |108| 
||         MVK     .S1     0x1f4,A4          ; |108| 

RL22:      ; CALL OCCURS                     ; |108| 
	.line	42
           B       .S1     _evm_led_disable  ; |109| 
           NOP             3
           MVKL    .S2     RL24,B3           ; |109| 

           MVKH    .S2     RL24,B3           ; |109| 
||         ZERO    .L1     A4                ; |109| 

RL24:      ; CALL OCCURS                     ; |109| 
	.line	43
           B       .S1     _delay_msec       ; |110| 
           NOP             3
           MVKL    .S2     RL26,B3           ; |110| 

           MVKH    .S2     RL26,B3           ; |110| 
||         MVK     .S1     0x1f4,A4          ; |110| 

RL26:      ; CALL OCCURS                     ; |110| 
	.line	44
           B       .S1     _evm_led_enable   ; |111| 
           NOP             3
           MVKL    .S2     RL28,B3           ; |111| 

           MVKH    .S2     RL28,B3           ; |111| 
||         ZERO    .L1     A4                ; |111| 

RL28:      ; CALL OCCURS                     ; |111| 
	.line	45
           B       .S1     L11               ; |112| 
           NOP             4
           MVK     .S1     0xffffffff,A4     ; |112| 
           ; BRANCH OCCURS                   ; |112| 
;** --------------------------------------------------------------------------*
L2:    
	.line	52
           B       .S1     _printf           ; |119| 
           NOP             2
           MVKL    .S1     SL3+0,A0          ; |119| 

           MVKH    .S1     SL3+0,A0          ; |119| 
||         STW     .D2T2   B10,*+SP(8)       ; |119| 
||         MVKL    .S2     RL30,B3           ; |119| 

           STW     .D2T1   A0,*+SP(4)        ; |119| 
||         MVKH    .S2     RL30,B3           ; |119| 

RL30:      ; CALL OCCURS                     ; |119| 
	.line	55
           LDW     .D2T2   *+DP(_mode),B4    ; |122| 
           NOP             4
           CMPEQ   .L2     B4,2,B0           ; |122| 
   [ B0]   B       .S1     L3                ; |122| 
           NOP             5
           ; BRANCH OCCURS                   ; |122| 
;** --------------------------------------------------------------------------*
	.line	59
           LDW     .D2T2   *+DP(_records),B4 ; |126| 
           LDW     .D2T2   *+DP(_reclen),B5  ; |126| 
           NOP             4
           MPYLH   .M2     B5,B4,B7          ; |126| 

           MPYLH   .M2     B4,B5,B6          ; |126| 
||         LDW     .D2T1   *+DP(_blocks),A6  ; 

           B       .S1     _program_DMA_channel ; |126| 
||         LDW     .D2T1   *+DP(_dual_data_buffer),A4 ; |126| 

           LDW     .D2T2   *+DP(_size),B6    ; |126| 
||         ADD     .L2     B7,B6,B4          ; |126| 
||         MPYU    .M2     B5,B4,B5          ; |126| 

           NOP             1
           MVKL    .S2     RL32,B3           ; |126| 
           SHL     .S2     B4,16,B4          ; |126| 

           ADD     .L2     B5,B4,B4          ; |126| 
||         MVKH    .S2     RL32,B3           ; |126| 
||         MVK     .S1     0x1,A8            ; |126| 

RL32:      ; CALL OCCURS                     ; |126| 
           B       .S1     L4                ; |126| 
           NOP             5
           ; BRANCH OCCURS                   ; |126| 
;** --------------------------------------------------------------------------*
L3:    
	.line	56
           LDW     .D2T2   *+DP(_records),B4 ; |123| 
           LDW     .D2T2   *+DP(_reclen),B6  ; |123| 
           NOP             4
           MPYLH   .M2     B6,B4,B7          ; |123| 

           MPYLH   .M2     B4,B6,B5          ; |123| 
||         LDW     .D2T1   *+DP(_blocks),A6  ; 

           B       .S1     _program_DMA_channel ; |123| 
||         LDW     .D2T1   *+DP(_dual_data_buffer),A4 ; |123| 

           LDW     .D2T2   *+DP(_size),B6    ; |123| 
||         ADD     .L2     B7,B5,B4          ; |123| 
||         MPYU    .M2     B6,B4,B5          ; |123| 

           NOP             1
           MVKL    .S2     RL34,B3           ; |123| 
           SHL     .S2     B4,16,B4          ; |123| 

           ADD     .L2     B5,B4,B4          ; |123| 
||         MVKH    .S2     RL34,B3           ; |123| 
||         MVK     .S1     0x2,A8            ; |123| 

RL34:      ; CALL OCCURS                     ; |123| 
;** --------------------------------------------------------------------------*
L4:    
	.line	62
           B       .S1     _appl_init        ; |129| 
           NOP             3

           MVKL    .S2     RL36,B3           ; |129| 
||         MVK     .S1     (_dual_data_buffer-$bss),A0 ; |129| 

           MVKH    .S2     RL36,B3           ; |129| 
||         ADD     .L1X    DP,A0,A4          ; 

RL36:      ; CALL OCCURS                     ; |129| 
	.line	63
           B       .S1     _start_DMA_channel ; |130| 
           NOP             3
           MVKL    .S2     RL38,B3           ; |130| 

           MVKH    .S2     RL38,B3           ; |130| 
||         ZERO    .L1     A4                ; |130| 

RL38:      ; CALL OCCURS                     ; |130| 
	.line	68
           ZERO    .L1     A0                ; |135| 
           MVKH    .S1     0x1780000,A0      ; |135| 
           LDW     .D1T1   *A0,A0            ; |135| 
           NOP             3
           ZERO    .L2     B4                ; |135| 

           SET     .S1     A0,6,6,A0         ; |135| 
||         MVKH    .S2     0x1780000,B4      ; |135| 

           STW     .D2T1   A0,*B4            ; |135| 
	.line	73

           ZERO    .L1     A10               ; 
||         ZERO    .L2     B4                ; 

	.line	74
           ZERO    .L2     B10               ; |141| 
	.line	76
           LDW     .D2T2   *+DP(_read_err),B0 ; |143| 
           NOP             4
   [ B0]   B       .S1     L7                ; |143| 
           NOP             5
           ; BRANCH OCCURS                   ; |143| 
;** --------------------------------------------------------------------------*
	.line	68
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L5
;** --------------------------------------------------------------------------*
L5:    
	.line	88
           MV      .L1     A10,A1
   [ A1]   B       .S1     L7                ; |155| 
           NOP             5
           ; BRANCH OCCURS                   ; |155| 
;** --------------------------------------------------------------------------*
           MVKL    .S1     0x1780004,A11     ; |155| 
           MVKH    .S1     0x1780004,A11     ; |155| 
           LDW     .D1T1   *A11,A0           ; |155| 
           NOP             4
           EXTU    .S1     A0,25,31,A1       ; |155| 
   [ A1]   B       .S1     L7                ; |155| 
           NOP             5
           ; BRANCH OCCURS                   ; |155| 
;** --------------------------------------------------------------------------*
	.line	78
           ADD     .L2     1,B10,B10         ; |145| 
	.line	79
           LDW     .D2T1   *+DP(_prev_buf_count),A0 ; |146| 
           LDW     .D2T2   *+DP(_buf_count),B4 ; |146| 
           NOP             4
           CMPEQ   .L1X    A0,B4,A1          ; |146| 
   [!A1]   B       .S1     L6                ; |146| 
           NOP             5
           ; BRANCH OCCURS                   ; |146| 
;** --------------------------------------------------------------------------*
	.line	86
           B       .S1     _appl_idle        ; |153| 
           NOP             3
           MVKL    .S2     RL40,B3           ; |153| 
           MVKH    .S2     RL40,B3           ; |153| 
RL40:      ; CALL OCCURS                     ; |153| 
           MV      .L1     A4,A10            ; |153| 
           LDW     .D2T2   *+DP(_read_err),B0 ; |153| 
           NOP             4
   [!B0]   B       .S1     L5                ; |153| 
           NOP             5
           ; BRANCH OCCURS                   ; |153| 
;** --------------------------------------------------------------------------*
           B       .S1     L7                ; |153| 
           NOP             5
           ; BRANCH OCCURS                   ; |153| 
;** --------------------------------------------------------------------------*
L6:    
	.line	80
           B       .S1     __remu            ; |147| 
           LDW     .D2T2   *+DP(_blocks),B4  ; |147| 
           NOP             2
           MVKL    .S2     RL42,B3           ; |147| 

           MVKH    .S2     RL42,B3           ; |147| 
||         MV      .L1     A0,A4             ; |147| 

RL42:      ; CALL OCCURS                     ; |147| 
           LDW     .D2T2   *+DP(_block_bytes),B4 ; |147| 
           NOP             4

           MPYLH   .M2X    B4,A4,B6          ; |147| 
||         MPYLH   .M1X    A4,B4,A3          ; |147| 

           LDW     .D2T2   *+DP(_dual_data_buffer),B5 ; |147| 
           ADD     .L1X    B6,A3,A3          ; |147| 
           MPYU    .M1X    B4,A4,A4          ; |147| 
           SHL     .S1     A3,16,A3          ; |147| 
           ADD     .L1     A4,A3,A3          ; |147| 
           ADD     .L2X    B5,A3,B4          ; |147| 
           STW     .D2T2   B4,*+SP(20)       ; |147| 
	.line	82
           B       .S1     _appl_process     ; |149| 
           NOP             3

           ADDAW   .D2     SP,5,B5           ; |149| 
||         MVKL    .S2     RL44,B3           ; |149| 

           MV      .L1X    B5,A4             ; |149| 
||         MV      .L2X    A0,B4             ; |149| 
||         MVKH    .S2     RL44,B3           ; |149| 

RL44:      ; CALL OCCURS                     ; |149| 
           MV      .L1     A4,A10            ; 
	.line	83
           LDW     .D2T2   *+DP(_buf_count),B4 ; |150| 
           NOP             4
           STW     .D2T2   B4,*+DP(_prev_buf_count) ; |150| 
	.line	84
           LDW     .D2T2   *+DP(_bufs_proc),B4 ; |151| 
           NOP             4
           ADD     .L2     1,B4,B4           ; |151| 
           STW     .D2T2   B4,*+DP(_bufs_proc) ; |151| 
	.line	85
           LDW     .D2T2   *+DP(_read_err),B0 ; |152| 
           NOP             4
   [!B0]   B       .S1     L5                ; |152| 
           NOP             5
           ; BRANCH OCCURS                   ; |152| 
;** --------------------------------------------------------------------------*
L7:    
	.line	91
           MVKL    .S2     0x1780004,B4      ; |158| 
           MVKH    .S2     0x1780004,B4      ; |158| 
           LDW     .D2T2   *B4,B4            ; |158| 
           NOP             4
           EXTU    .S2     B4,25,31,B4       ; |158| 
           MV      .L1X    B4,A11            ; |158| 
	.line	94
           ZERO    .L2     B4                ; |161| 
           MVKH    .S2     0x1780000,B4      ; |161| 
           LDW     .D2T2   *B4,B5            ; |161| 
           NOP             4
           CLR     .S2     B5,6,6,B5         ; |161| 
           STW     .D2T2   B5,*B4            ; |161| 
	.line	95
           B       .S1     _delay_msec       ; |162| 
           NOP             3
           MVKL    .S2     RL46,B3           ; |162| 

           MVKH    .S2     RL46,B3           ; |162| 
||         MVK     .S1     0x5,A4            ; |162| 

RL46:      ; CALL OCCURS                     ; |162| 
	.line	96
           ZERO    .L1     A0                ; |163| 
           MVKH    .S1     0x1840000,A0      ; |163| 
           LDW     .D1T1   *A0,A0            ; |163| 
           NOP             4

           AND     .L1     -2,A0,A0          ; |163| 
||         ZERO    .L2     B4                ; |163| 

           OR      .L1     2,A0,A0           ; |163| 
||         MVKH    .S2     0x1840000,B4      ; |163| 

           STW     .D2T1   A0,*B4            ; |163| 
	.line	101
           LDW     .D2T2   *+DP(_read_err),B0 ; |168| 
           NOP             4
   [!B0]   B       .S1     L8                ; |168| 
           NOP             5
           ; BRANCH OCCURS                   ; |168| 
;** --------------------------------------------------------------------------*
	.line	102
           MVKL    .S1     0x1840020,A0      ; |169| 
           MVKH    .S1     0x1840020,A0      ; |169| 

           LDW     .D1T1   *A0,A0            ; |169| 
||         LDW     .D2T2   *+DP(_prev_buf_count),B5 ; |169| 

           B       .S1     _printf           ; |169| 
           MVKL    .S2     SL4+0,B4          ; |169| 

           STW     .D2T2   B0,*+SP(8)        ; |169| 
||         MVKH    .S2     SL4+0,B4          ; |169| 

           STW     .D2T2   B4,*+SP(4)        ; |169| 

           STW     .D2T2   B5,*+SP(12)       ; |169| 
||         EXTU    .S1     A0,16,16,A0       ; |169| 
||         MVKL    .S2     RL48,B3           ; |169| 

           STW     .D2T1   A0,*+SP(16)       ; |169| 
||         MVKH    .S2     RL48,B3           ; |169| 

RL48:      ; CALL OCCURS                     ; |169| 
;** --------------------------------------------------------------------------*
L8:    
	.line	106
           MV      .L1     A10,A1
   [!A1]   B       .S1     L9                ; |173| 
           NOP             5
           ; BRANCH OCCURS                   ; |173| 
;** --------------------------------------------------------------------------*
           B       .S1     _printf           ; |173| 
           NOP             2

           MV      .L2X    A10,B4            ; |173| 
||         MVKL    .S1     SL5+0,A0          ; |173| 

           STW     .D2T2   B4,*+SP(8)        ; |173| 
||         MVKH    .S1     SL5+0,A0          ; |173| 
||         MVKL    .S2     RL50,B3           ; |173| 

           STW     .D2T1   A0,*+SP(4)        ; |173| 
||         MVKH    .S2     RL50,B3           ; |173| 

RL50:      ; CALL OCCURS                     ; |173| 
;** --------------------------------------------------------------------------*
L9:    
	.line	107
           MV      .L1     A11,A1
   [!A1]   B       .S1     L10               ; |174| 
           NOP             5
           ; BRANCH OCCURS                   ; |174| 
;** --------------------------------------------------------------------------*
           B       .S1     _printf           ; |174| 
           NOP             2
           MVKL    .S1     SL6+0,A0          ; |174| 

           MVKH    .S1     SL6+0,A0          ; |174| 
||         MVKL    .S2     RL52,B3           ; |174| 

           STW     .D2T1   A0,*+SP(4)        ; |174| 
||         MVKH    .S2     RL52,B3           ; |174| 

RL52:      ; CALL OCCURS                     ; |174| 
;** --------------------------------------------------------------------------*
L10:    
	.line	108
           LDW     .D2T2   *+DP(_bufs_proc),B5 ; |175| 

           B       .S1     _printf           ; |175| 
||         LDW     .D2T2   *+DP(_buf_count),B4 ; |175| 

           MVKL    .S1     SL7+0,A0          ; |175| 

           STW     .D2T2   B10,*+SP(8)       ; |175| 
||         MVKH    .S1     SL7+0,A0          ; |175| 

           STW     .D2T1   A0,*+SP(4)        ; |175| 

           STW     .D2T2   B5,*+SP(12)       ; |175| 
||         MVKL    .S2     RL54,B3           ; |175| 

           STW     .D2T2   B4,*+SP(16)       ; |175| 
||         MVKH    .S2     RL54,B3           ; |175| 

RL54:      ; CALL OCCURS                     ; |175| 
	.line	113
           B       .S1     _appl_end         ; |180| 
           NOP             3
           MVKL    .S2     RL56,B3           ; |180| 
           MVKH    .S2     RL56,B3           ; |180| 
RL56:      ; CALL OCCURS                     ; |180| 
	.line	114
           B       .S1     _printf           ; |181| 
           NOP             2
           MVKL    .S1     SL8+0,A10         ; |181| 

           MVKL    .S2     RL58,B3           ; |181| 
||         MVKH    .S1     SL8+0,A10         ; |181| 

           STW     .D2T1   A10,*+SP(4)       ; |181| 
||         MVKH    .S2     RL58,B3           ; |181| 

RL58:      ; CALL OCCURS                     ; |181| 
	.line	115
           ZERO    .L1     A4                ; |182| 
;** --------------------------------------------------------------------------*
L11:    
	.line	116
           LDW     .D2T2   *+SP(36),B3       ; |183| 
           NOP             3
           LDW     .D2T1   *+SP(28),A10      ; |183| 

           B       .S2     B3                ; |183| 
||         LDW     .D2T1   *+SP(32),A11      ; |183| 

           LDW     .D2T2   *++SP(40),B10     ; |183| 
           NOP             4
           ; BRANCH OCCURS                   ; |183| 
	.endfunc	183,004080c00h,40


	.sect	".text"
	.global	_dma_interrupt
	.sym	_dma_interrupt,_dma_interrupt, 32, 2, 0
	.func	186

;******************************************************************************
;* FUNCTION NAME: _dma_interrupt                                              *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,B0,B4,SP                                    *
;*   Regs Used         : A0,A1,A3,B0,B4,DP,SP                                 *
;*   Local Frame Size  : 0 Args + 0 Auto + 20 Save = 20 byte                  *
;******************************************************************************
_dma_interrupt:
;** --------------------------------------------------------------------------*
	.sym	Y$0,1, 4, 4, 32
	.sym	_frame_comp,16, 4, 4, 32
           STW     .D2T2   B4,*SP--(24)      ; |186| 
           STW     .D2T1   A0,*+SP(8)        ; |186| 
           STW     .D2T1   A1,*+SP(12)       ; |186| 
           STW     .D2T1   A3,*+SP(16)       ; |186| 
           STW     .D2T2   B0,*+SP(20)       ; |186| 
	.line	4
           MVKL    .S1     0x1840008,A0      ; |189| 
           MVKH    .S1     0x1840008,A0      ; |189| 
           LDW     .D1T1   *A0,A0            ; |189| 
           NOP             4
           EXTU    .S1     A0,23,31,A1       ; |189| 
           STW     .D2T1   A1,*+DP(_read_err) ; |189| 
	.line	5
   [ A1]   B       .S1     L12               ; |190| 
           NOP             5
           ; BRANCH OCCURS                   ; |190| 
;** --------------------------------------------------------------------------*
	.line	6
           MVKL    .S2     0x1840008,B4      ; |191| 
           MVKH    .S2     0x1840008,B4      ; |191| 
           LDW     .D2T2   *B4,B4            ; |191| 
           NOP             4
           EXTU    .S2     B4,29,31,B0       ; |191| 
	.line	11
   [!B0]   MVK     .S2     -1,B4             ; |196| 
   [!B0]   STW     .D2T2   B4,*+DP(_read_err) ; |196| 
	.line	8
   [ B0]   LDW     .D2T2   *+DP(_buf_count),B4 ; |193| 
           NOP             4
   [ B0]   ADD     .L2     1,B4,B4           ; |193| 
   [ B0]   STW     .D2T2   B4,*+DP(_buf_count) ; |193| 
	.line	10
   [ B0]   MVKL    .S1     0x1840008,A0      ; |195| 
   [ B0]   MVKH    .S1     0x1840008,A0      ; |195| 
   [ B0]   LDW     .D1T1   *A0,A3            ; |195| 
           NOP             4
   [ B0]   AND     .L1     -5,A3,A3          ; |195| 
   [ B0]   STW     .D1T1   A3,*A0            ; |195| 
;** --------------------------------------------------------------------------*
L12:    
	.line	12
           LDW     .D2T1   *+SP(16),A3       ; |197| 
           LDW     .D2T1   *+SP(12),A1       ; |197| 
           LDW     .D2T1   *+SP(8),A0        ; |197| 

           B       .S2     IRP               ; |197| 
||         LDW     .D2T2   *+SP(20),B0       ; |197| 

           LDW     .D2T2   *++SP(24),B4      ; |197| 
           NOP             4
           ; BRANCH OCCURS                   ; |197| 
	.endfunc	197,00011000bh,24


;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	10,"*** AED TEST PROGRAM STARTED ***",10,0
SL2:	.string	"Buffer Allocation Error [%dX%d]",10,0
SL3:	.string	"Begin application processing (Buffer size = %d)",10,0
SL4:	.string	"Read drop error %d (bufct=%d, trnct=%d)",10,0
SL5:	.string	"Application Termination %d",10,0
SL6:	.string	"FPGA FIFO Overflowed",10,0
SL7:	.string	"Test Loops = %u Bufs Processed = %d Bufs Received = %d",10,0
SL8:	.string	"OK",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_malloc
	.global	_printf
	.global	_evm_init
	.global	_evm_codec_disable
	.global	_evm_led_enable
	.global	_evm_led_disable
	.global	_delay_msec
	.global	_intr_hook
	.global	_program_DMA_channel
	.global	_start_DMA_channel
	.global	_appl_parms
	.global	_appl_init
	.global	_appl_process
	.global	_appl_idle
	.global	_appl_end
	.global	__remu
