/* linker command file for examples (MAP 1)  - mod 4-30-99 */
/*      internal data memory blocks          - mod 11-5-99 */
-c
-heap 0x8000




MEMORY
{
  INT_PROG_MEM (RX)    : origin = 0x00000000 length = 0x00010000
  SBSRAM_PROG_MEM (RX) : origin = 0x00400000 length = 0x00020000
  SBSRAM_DATA_MEM (RW) : origin = 0x00420000 length = 0x00020000
  SDRAM0_DATA_MEM (RW) : origin = 0x02000000 length = 0x00400000
  SDRAM1_DATA_MEM (RW) : origin = 0x03000000 length = 0x00400000
  INT_DATA_MEM_B0 (RW) : origin = 0x80000000 length = 0x00008000
  INT_DATA_MEM_B1 (RW) : origin = 0x80008000 length = 0x00008000
}

SECTIONS
{
  .vec:          load = 0x00000000
  .text:         load = INT_PROG_MEM
  .const:        load = INT_DATA_MEM_B0
  .bss:          load = INT_DATA_MEM_B0
  .data:         load = SDRAM0_DATA_MEM
  .cinit         load = SDRAM0_DATA_MEM
  .pinit         load = SDRAM0_DATA_MEM
  .stack         load = INT_DATA_MEM_B0
  .far           load = SDRAM1_DATA_MEM
  .sysmem        load = INT_DATA_MEM_B1
  .cio           load = INT_DATA_MEM_B0
}
